allDonne !

This commit is contained in:
Adrien VAN DAMME 2019-01-27 19:41:24 +01:00
parent 5aec064536
commit 1ebba712b7
350 changed files with 1552 additions and 316 deletions

View File

@ -23,12 +23,12 @@
</ProjetTheAlone.Settings1>-->
<ProjetTheAlone.Config.Settings1>
<setting name="schCon" serializeAs="String">
<value>Data Source=(LocalDB)\MSSQLLocalDB;AttachDbFilename="C:\Users\adrie\OneDrive - Haute Ecole de la ville de Liège\3is\poo\ProjetTheAlone - Copie (9)\ProjetTheAlone\ProjetThe.mdf";Integrated Security=True</value>
<value>Data Source=(LocalDB)\MSSQLLocalDB;AttachDbFilename="C:\Users\adrie\OneDrive - Haute Ecole de la ville de Liège\3is\poo\ProjetTheAlone\ProjetTheAlone\ProjetThe.mdf";Integrated Security=True</value>
</setting>
</ProjetTheAlone.Config.Settings1>
<ProjetTheAlone.Config.Settings2>
<setting name="schCon" serializeAs="String">
<value>Data Source=(LocalDB)\MSSQLLocalDB;AttachDbFilename="C:\Users\adrie\OneDrive - Haute Ecole de la ville de Liège\3is\poo\ProjetTheAlone - Copie (9)\ProjetTheAlone\ProjetThe.mdf";Integrated Security=True</value>
<value>Data Source=(LocalDB)\MSSQLLocalDB;AttachDbFilename="C:\Users\adrie\OneDrive - Haute Ecole de la ville de Liège\3is\poo\ProjetTheAlone\ProjetTheAlone\ProjetThe.mdf";Integrated Security=True</value>
</setting>
</ProjetTheAlone.Config.Settings2>
</userSettings>

View File

@ -1,10 +1,10 @@
//------------------------------------------------------------------------------
// <auto-generated>
// This code was generated by a tool.
// Runtime Version:4.0.30319.42000
// Ce code a été généré par un outil.
// Version du runtime :4.0.30319.42000
//
// Changes to this file may cause incorrect behavior and will be lost if
// the code is regenerated.
// Les modifications apportées à ce fichier peuvent provoquer un comportement incorrect et seront perdues si
// le code est régénéré.
// </auto-generated>
//------------------------------------------------------------------------------
@ -12,7 +12,7 @@ namespace ProjetTheAlone.Config {
[global::System.Runtime.CompilerServices.CompilerGeneratedAttribute()]
[global::System.CodeDom.Compiler.GeneratedCodeAttribute("Microsoft.VisualStudio.Editors.SettingsDesigner.SettingsSingleFileGenerator", "15.7.0.0")]
[global::System.CodeDom.Compiler.GeneratedCodeAttribute("Microsoft.VisualStudio.Editors.SettingsDesigner.SettingsSingleFileGenerator", "15.9.0.0")]
internal sealed partial class Settings1 : global::System.Configuration.ApplicationSettingsBase {
private static Settings1 defaultInstance = ((Settings1)(global::System.Configuration.ApplicationSettingsBase.Synchronized(new Settings1())));
@ -23,20 +23,6 @@ namespace ProjetTheAlone.Config {
}
}
[global::System.Configuration.UserScopedSettingAttribute()]
[global::System.Diagnostics.DebuggerNonUserCodeAttribute()]
[global::System.Configuration.DefaultSettingValueAttribute("Data Source=(LocalDB)\\MSSQLLocalDB;AttachDbFilename=\"C:\\Users\\adrie\\OneDrive - Ha" +
"ute Ecole de la ville de Liège\\3is\\poo\\ProjetTheAlone - Copie (9)\\ProjetTheAlone" +
"\\ProjetThe.mdf\";Integrated Security=True")]
public string schCon {
get {
return ((string)(this["schCon"]));
}
set {
this["schCon"] = value;
}
}
[global::System.Configuration.UserScopedSettingAttribute()]
[global::System.Diagnostics.DebuggerNonUserCodeAttribute()]
public global::System.Collections.Specialized.StringCollection alerte {
@ -47,5 +33,19 @@ namespace ProjetTheAlone.Config {
this["alerte"] = value;
}
}
[global::System.Configuration.UserScopedSettingAttribute()]
[global::System.Diagnostics.DebuggerNonUserCodeAttribute()]
[global::System.Configuration.DefaultSettingValueAttribute("Data Source=(LocalDB)\\MSSQLLocalDB;AttachDbFilename=\"C:\\Users\\adrie\\OneDrive - Ha" +
"ute Ecole de la ville de Liège\\3is\\poo\\ProjetTheAlone\\ProjetTheAlone\\ProjetThe.m" +
"df\";Integrated Security=True")]
public string schCon {
get {
return ((string)(this["schCon"]));
}
set {
this["schCon"] = value;
}
}
}
}

View File

@ -2,11 +2,11 @@
<SettingsFile xmlns="http://schemas.microsoft.com/VisualStudio/2004/01/settings" CurrentProfile="(Default)" GeneratedClassNamespace="ProjetTheAlone.Config" GeneratedClassName="Settings1">
<Profiles />
<Settings>
<Setting Name="schCon" Type="System.String" Scope="User">
<Value Profile="(Default)">Data Source=(LocalDB)\MSSQLLocalDB;AttachDbFilename="C:\Users\adrie\OneDrive - Haute Ecole de la ville de Liège\3is\poo\ProjetTheAlone - Copie (9)\ProjetTheAlone\ProjetThe.mdf";Integrated Security=True</Value>
</Setting>
<Setting Name="alerte" Type="System.Collections.Specialized.StringCollection" Scope="User">
<Value Profile="(Default)" />
</Setting>
<Setting Name="schCon" Type="System.String" Scope="User">
<Value Profile="(Default)">Data Source=(LocalDB)\MSSQLLocalDB;AttachDbFilename="C:\Users\adrie\OneDrive - Haute Ecole de la ville de Liège\3is\poo\ProjetTheAlone\ProjetTheAlone\ProjetThe.mdf";Integrated Security=True</Value>
</Setting>
</Settings>
</SettingsFile>

View File

@ -1,10 +1,10 @@
//------------------------------------------------------------------------------
// <auto-generated>
// This code was generated by a tool.
// Runtime Version:4.0.30319.42000
// Ce code a été généré par un outil.
// Version du runtime :4.0.30319.42000
//
// Changes to this file may cause incorrect behavior and will be lost if
// the code is regenerated.
// Les modifications apportées à ce fichier peuvent provoquer un comportement incorrect et seront perdues si
// le code est régénéré.
// </auto-generated>
//------------------------------------------------------------------------------
@ -12,7 +12,7 @@ namespace ProjetTheAlone.Config {
[global::System.Runtime.CompilerServices.CompilerGeneratedAttribute()]
[global::System.CodeDom.Compiler.GeneratedCodeAttribute("Microsoft.VisualStudio.Editors.SettingsDesigner.SettingsSingleFileGenerator", "15.7.0.0")]
[global::System.CodeDom.Compiler.GeneratedCodeAttribute("Microsoft.VisualStudio.Editors.SettingsDesigner.SettingsSingleFileGenerator", "15.9.0.0")]
internal sealed partial class Settings2 : global::System.Configuration.ApplicationSettingsBase {
private static Settings2 defaultInstance = ((Settings2)(global::System.Configuration.ApplicationSettingsBase.Synchronized(new Settings2())));
@ -26,8 +26,8 @@ namespace ProjetTheAlone.Config {
[global::System.Configuration.UserScopedSettingAttribute()]
[global::System.Diagnostics.DebuggerNonUserCodeAttribute()]
[global::System.Configuration.DefaultSettingValueAttribute("Data Source=(LocalDB)\\MSSQLLocalDB;AttachDbFilename=\"C:\\Users\\adrie\\OneDrive - Ha" +
"ute Ecole de la ville de Liège\\3is\\poo\\ProjetTheAlone - Copie (9)\\ProjetTheAlone" +
"\\ProjetThe.mdf\";Integrated Security=True")]
"ute Ecole de la ville de Liège\\3is\\poo\\ProjetTheAlone\\ProjetTheAlone\\ProjetThe.m" +
"df\";Integrated Security=True")]
public string schCon {
get {
return ((string)(this["schCon"]));

View File

@ -3,7 +3,7 @@
<Profiles />
<Settings>
<Setting Name="schCon" Type="System.String" Scope="User">
<Value Profile="(Default)">Data Source=(LocalDB)\MSSQLLocalDB;AttachDbFilename="C:\Users\adrie\OneDrive - Haute Ecole de la ville de Liège\3is\poo\ProjetTheAlone - Copie (9)\ProjetTheAlone\ProjetThe.mdf";Integrated Security=True</Value>
<Value Profile="(Default)">Data Source=(LocalDB)\MSSQLLocalDB;AttachDbFilename="C:\Users\adrie\OneDrive - Haute Ecole de la ville de Liège\3is\poo\ProjetTheAlone\ProjetTheAlone\ProjetThe.mdf";Integrated Security=True</Value>
</Setting>
</Settings>
</SettingsFile>

View File

@ -90,17 +90,17 @@
<Compile Include="Outil\picToByteArray.cs" />
<Compile Include="Outil\toByteArray.cs" />
<Compile Include="Outil\toNullableByteArray.cs" />
<Compile Include="ViewModel\EncodeClassement.cs" />
<Compile Include="ViewModel\EncodeDetailEvent.cs" />
<Compile Include="ViewModel\EncodeClassement.cs" />
<Compile Include="ViewModel\EncodeEquipe.cs" />
<Compile Include="ViewModel\EncodeEvent.cs" />
<Compile Include="ViewModel\EncodeLieu.cs" />
<Compile Include="ViewModel\EncodeRepas.cs" />
<Compile Include="ViewModel\EncodeTypeEvent.cs" />
<Compile Include="ViewModel\EncodePlats.cs" />
<Compile Include="ViewModel\EventDGV_VM.cs" />
<Compile Include="ViewModel\TextDefilant.cs" />
<Compile Include="ViewModel\VM_DashBoard.cs" />
<Compile Include="ViewModel\EventDGV_VM.cs" />
<Compile Include="ViewModel\VM_FicGestionAlert.cs" />
<Compile Include="View\FicClassement.xaml.cs">
<DependentUpon>FicClassement.xaml</DependentUpon>
@ -199,7 +199,7 @@
</Compile>
<Page Include="View\FicClassement.xaml">
<SubType>Designer</SubType>
<Generator>XamlIntelliSenseFileGenerator</Generator>
<Generator>MSBuild:Compile</Generator>
</Page>
<Page Include="View\FicDetailEvent.xaml">
<SubType>Designer</SubType>
@ -258,8 +258,8 @@
<Generator>MSBuild:Compile</Generator>
</Page>
<Page Include="View\FicGestionAlert.xaml">
<SubType>Designer</SubType>
<Generator>MSBuild:Compile</Generator>
<SubType>Designer</SubType>
</Page>
<Page Include="View\FicNewEquipe.xaml">
<SubType>Designer</SubType>

View File

@ -1,268 +0,0 @@
<?xml version="1.0" encoding="utf-8"?>
<Project ToolsVersion="15.0" xmlns="http://schemas.microsoft.com/developer/msbuild/2003">
<Import Project="$(MSBuildExtensionsPath)\$(MSBuildToolsVersion)\Microsoft.Common.props" Condition="Exists('$(MSBuildExtensionsPath)\$(MSBuildToolsVersion)\Microsoft.Common.props')" />
<PropertyGroup>
<Configuration Condition=" '$(Configuration)' == '' ">Debug</Configuration>
<Platform Condition=" '$(Platform)' == '' ">AnyCPU</Platform>
<ProjectGuid>{F8032333-16C0-49D9-A5F6-D64E6044A580}</ProjectGuid>
<OutputType>WinExe</OutputType>
<RootNamespace>ProjetTheAlone</RootNamespace>
<AssemblyName>ProjetTheAlone</AssemblyName>
<TargetFrameworkVersion>v4.6.1</TargetFrameworkVersion>
<FileAlignment>512</FileAlignment>
<ProjectTypeGuids>{60dc8134-eba5-43b8-bcc9-bb4bc16c2548};{FAE04EC0-301F-11D3-BF4B-00C04F79EFBC}</ProjectTypeGuids>
<WarningLevel>4</WarningLevel>
<AutoGenerateBindingRedirects>true</AutoGenerateBindingRedirects>
<IsWebBootstrapper>false</IsWebBootstrapper>
<PublishUrl>publish\</PublishUrl>
<Install>true</Install>
<InstallFrom>Disk</InstallFrom>
<UpdateEnabled>false</UpdateEnabled>
<UpdateMode>Foreground</UpdateMode>
<UpdateInterval>7</UpdateInterval>
<UpdateIntervalUnits>Days</UpdateIntervalUnits>
<UpdatePeriodically>false</UpdatePeriodically>
<UpdateRequired>false</UpdateRequired>
<MapFileExtensions>true</MapFileExtensions>
<ApplicationRevision>0</ApplicationRevision>
<ApplicationVersion>1.0.0.%2a</ApplicationVersion>
<UseApplicationTrust>false</UseApplicationTrust>
<BootstrapperEnabled>true</BootstrapperEnabled>
</PropertyGroup>
<PropertyGroup Condition=" '$(Configuration)|$(Platform)' == 'Debug|AnyCPU' ">
<PlatformTarget>AnyCPU</PlatformTarget>
<DebugSymbols>true</DebugSymbols>
<DebugType>full</DebugType>
<Optimize>false</Optimize>
<OutputPath>bin\Debug\</OutputPath>
<DefineConstants>DEBUG;TRACE</DefineConstants>
<ErrorReport>prompt</ErrorReport>
<WarningLevel>4</WarningLevel>
</PropertyGroup>
<PropertyGroup Condition=" '$(Configuration)|$(Platform)' == 'Release|AnyCPU' ">
<PlatformTarget>AnyCPU</PlatformTarget>
<DebugType>pdbonly</DebugType>
<Optimize>true</Optimize>
<OutputPath>bin\Release\</OutputPath>
<DefineConstants>TRACE</DefineConstants>
<ErrorReport>prompt</ErrorReport>
<WarningLevel>4</WarningLevel>
</PropertyGroup>
<ItemGroup>
</ItemGroup>
<ItemGroup>
<Compile Include="Config\Settings2.Designer.cs">
<DependentUpon>Settings2.settings</DependentUpon>
<AutoGen>True</AutoGen>
<DesignTimeSharedInput>True</DesignTimeSharedInput>
</Compile>
<Compile Include="Converter\BinaryImageConverter.cs" />
<Compile Include="Outil\picToByteArray.cs" />
<Compile Include="Outil\toByteArray.cs" />
<Compile Include="Outil\toNullableByteArray.cs" />
<Compile Include="ViewModel\EncodeEquipe.cs" />
<Compile Include="ViewModel\EncodeEvent.cs" />
<Compile Include="ViewModel\EncodeLieu.cs" />
<Compile Include="ViewModel\EncodeRepas.cs" />
<Compile Include="ViewModel\EncodeTypeEvent.cs" />
<Compile Include="ViewModel\EncodePlats.cs" />
<Compile Include="ViewModel\TextDefilant.cs" />
<Compile Include="ViewModel\VM_DashBoard.cs" />
<Compile Include="View\FicDetailEvent.xaml.cs">
<DependentUpon>FicDetailEvent.xaml</DependentUpon>
</Compile>
<Compile Include="View\FicEncodePlat.xaml.cs">
<DependentUpon>FicEncodePlat.xaml</DependentUpon>
</Compile>
<Compile Include="Model\A_Base.cs" />
<Compile Include="Model\A_T_beneficiaire.cs" />
<Compile Include="Model\A_T_equipe.cs" />
<Compile Include="Model\A_T_event.cs" />
<Compile Include="Model\A_T_lieu.cs" />
<Compile Include="Model\A_T_listParticipant.cs" />
<Compile Include="Model\A_T_listPlat.cs" />
<Compile Include="Model\A_T_plat.cs" />
<Compile Include="Model\A_T_repa.cs" />
<Compile Include="Model\A_T_typeEvenement.cs" />
<Compile Include="Model\A_T_typePlat.cs" />
<Compile Include="Model\A_T_typeRepa.cs" />
<Compile Include="Model\C_T_beneficiaire.cs" />
<Compile Include="Model\C_T_equipe.cs" />
<Compile Include="Model\C_T_event.cs" />
<Compile Include="Model\C_T_lieu.cs" />
<Compile Include="Model\C_T_listParticipant.cs" />
<Compile Include="Model\C_T_listPlat.cs" />
<Compile Include="Model\C_T_plat.cs" />
<Compile Include="Model\C_T_repa.cs" />
<Compile Include="Model\C_T_typeEvenement.cs" />
<Compile Include="Model\C_T_typePlat.cs" />
<Compile Include="Model\C_T_typeRepa.cs" />
<Compile Include="Config\Settings1.Designer.cs">
<AutoGen>True</AutoGen>
<DesignTimeSharedInput>True</DesignTimeSharedInput>
<DependentUpon>Settings1.settings</DependentUpon>
</Compile>
<Compile Include="ViewModel\EncodeBeneficiaire.cs" />
<Compile Include="ViewModel\EventPasseModel.cs" />
<Compile Include="Model\G_Base.cs" />
<Compile Include="Model\G_T_beneficiaire.cs" />
<Compile Include="Model\G_T_equipe.cs" />
<Compile Include="Model\G_T_event.cs" />
<Compile Include="Model\G_T_lieu.cs" />
<Compile Include="Model\G_T_listParticipant.cs" />
<Compile Include="Model\G_T_listPlat.cs" />
<Compile Include="Model\G_T_plat.cs" />
<Compile Include="Model\G_T_repa.cs" />
<Compile Include="Model\G_T_typeEvenement.cs" />
<Compile Include="Model\G_T_typePlat.cs" />
<Compile Include="Model\G_T_typeRepa.cs" />
<Compile Include="ViewModel\RepaModel.cs" />
<Compile Include="UserControlDIY\EventFutur.xaml.cs">
<DependentUpon>EventFutur.xaml</DependentUpon>
</Compile>
<Compile Include="UserControlDIY\EventPasse.xaml.cs">
<DependentUpon>EventPasse.xaml</DependentUpon>
</Compile>
<Compile Include="UserControlDIY\Plat.xaml.cs">
<DependentUpon>Plat.xaml</DependentUpon>
</Compile>
<Compile Include="UserControlDIY\Repa.xaml.cs">
<DependentUpon>Repa.xaml</DependentUpon>
</Compile>
<Compile Include="ViewModel\Base.cs" />
<Compile Include="View\Accueil.xaml.cs">
<DependentUpon>Accueil.xaml</DependentUpon>
</Compile>
<Compile Include="View\DashBoard.xaml.cs">
<DependentUpon>DashBoard.xaml</DependentUpon>
</Compile>
<Compile Include="View\FicBeneficiaireEncode.xaml.cs">
<DependentUpon>FicBeneficiaireEncode.xaml</DependentUpon>
</Compile>
<Compile Include="View\FicEncodage.xaml.cs">
<DependentUpon>FicEncodage.xaml</DependentUpon>
</Compile>
<Compile Include="View\FicEvenementEncode.xaml.cs">
<DependentUpon>FicEvenementEncode.xaml</DependentUpon>
</Compile>
<Compile Include="View\FicNewEquipe.xaml.cs">
<DependentUpon>FicNewEquipe.xaml</DependentUpon>
</Compile>
<Compile Include="View\FicNewLieu.xaml.cs">
<DependentUpon>FicNewLieu.xaml</DependentUpon>
</Compile>
<Compile Include="View\FicNewtypeEvent.xaml.cs">
<DependentUpon>FicNewtypeEvent.xaml</DependentUpon>
</Compile>
<Compile Include="View\FicRepasEncode.xaml.cs">
<DependentUpon>FicRepasEncode.xaml</DependentUpon>
</Compile>
<Compile Include="App.xaml.cs">
<DependentUpon>App.xaml</DependentUpon>
<SubType>Code</SubType>
</Compile>
<Compile Include="MainWindow.xaml.cs">
<DependentUpon>MainWindow.xaml</DependentUpon>
<SubType>Code</SubType>
</Compile>
</ItemGroup>
<ItemGroup>
<Compile Include="Properties\AssemblyInfo.cs">
<SubType>Code</SubType>
</Compile>
<Compile Include="Properties\Resources.Designer.cs">
<AutoGen>True</AutoGen>
<DesignTime>True</DesignTime>
<DependentUpon>Resources.resx</DependentUpon>
</Compile>
<Compile Include="Properties\Settings.Designer.cs">
<AutoGen>True</AutoGen>
<DependentUpon>Settings.settings</DependentUpon>
<DesignTimeSharedInput>True</DesignTimeSharedInput>
</Compile>
<EmbeddedResource Include="Properties\Resources.resx">
<Generator>ResXFileCodeGenerator</Generator>
<LastGenOutput>Resources.Designer.cs</LastGenOutput>
</EmbeddedResource>
<None Include="Config\Settings2.settings">
<Generator>SettingsSingleFileGenerator</Generator>
<LastGenOutput>Settings2.Designer.cs</LastGenOutput>
</None>
<None Include="packages.config" />
<None Include="Properties\Settings.settings">
<Generator>SettingsSingleFileGenerator</Generator>
<LastGenOutput>Settings.Designer.cs</LastGenOutput>
</None>
<None Include="Config\Settings1.settings">
<Generator>SettingsSingleFileGenerator</Generator>
<LastGenOutput>Settings1.Designer.cs</LastGenOutput>
</None>
</ItemGroup>
<ItemGroup>
<None Include="App.config" />
</ItemGroup>
<ItemGroup>
</ItemGroup>
<ItemGroup>
<BootstrapperPackage Include=".NETFramework,Version=v4.6.1">
<Visible>False</Visible>
<ProductName>Microsoft .NET Framework 4.6.1 %28x86 and x64%29</ProductName>
<Install>true</Install>
</BootstrapperPackage>
<BootstrapperPackage Include="Microsoft.Net.Framework.3.5.SP1">
<Visible>False</Visible>
<ProductName>.NET Framework 3.5 SP1</ProductName>
<Install>false</Install>
</BootstrapperPackage>
</ItemGroup>
<ItemGroup>
<Content Include="ProjetThe.mdf">
<CopyToOutputDirectory>Always</CopyToOutputDirectory>
</Content>
<Content Include="ProjetThe_log.ldf">
<CopyToOutputDirectory>Always</CopyToOutputDirectory>
<DependentUpon>ProjetThe.mdf</DependentUpon>
</Content>
</ItemGroup>
<Import Project="$(MSBuildToolsPath)\Microsoft.CSharp.targets" />
<ItemGroup>
<ReferencePath Include="C:\Users\adrie\OneDrive - Haute Ecole de la ville de Liège\3is\poo\ProjetTheAlone - Copie (9)\packages\ControlzEx.3.0.2.4\lib\net45\ControlzEx.dll" />
<ReferencePath Include="C:\Users\adrie\OneDrive - Haute Ecole de la ville de Liège\3is\poo\ProjetTheAlone - Copie (9)\packages\MaterialDesignColors.1.1.1\lib\net45\MaterialDesignColors.dll" />
<ReferencePath Include="C:\Users\adrie\OneDrive - Haute Ecole de la ville de Liège\3is\poo\ProjetTheAlone - Copie (9)\packages\MaterialDesignThemes.2.5.0.1205\lib\net45\MaterialDesignThemes.Wpf.dll" />
<ReferencePath Include="C:\Program Files (x86)\Reference Assemblies\Microsoft\Framework\.NETFramework\v4.6.1\Microsoft.CSharp.dll" />
<ReferencePath Include="C:\Program Files (x86)\Reference Assemblies\Microsoft\Framework\.NETFramework\v4.6.1\mscorlib.dll" />
<ReferencePath Include="C:\Program Files (x86)\Reference Assemblies\Microsoft\Framework\.NETFramework\v4.6.1\PresentationCore.dll" />
<ReferencePath Include="C:\Program Files (x86)\Reference Assemblies\Microsoft\Framework\.NETFramework\v4.6.1\PresentationFramework.dll" />
<ReferencePath Include="C:\Program Files (x86)\Reference Assemblies\Microsoft\Framework\.NETFramework\v4.6.1\System.Core.dll" />
<ReferencePath Include="C:\Program Files (x86)\Reference Assemblies\Microsoft\Framework\.NETFramework\v4.6.1\System.Data.DataSetExtensions.dll" />
<ReferencePath Include="C:\Program Files (x86)\Reference Assemblies\Microsoft\Framework\.NETFramework\v4.6.1\System.Data.dll" />
<ReferencePath Include="C:\Program Files (x86)\Reference Assemblies\Microsoft\Framework\.NETFramework\v4.6.1\System.dll" />
<ReferencePath Include="C:\Program Files (x86)\Reference Assemblies\Microsoft\Framework\.NETFramework\v4.6.1\System.Net.Http.dll" />
<ReferencePath Include="C:\Users\adrie\OneDrive - Haute Ecole de la ville de Liège\3is\poo\ProjetTheAlone - Copie (9)\packages\ControlzEx.3.0.2.4\lib\net45\System.Windows.Interactivity.dll" />
<ReferencePath Include="C:\Program Files (x86)\Reference Assemblies\Microsoft\Framework\.NETFramework\v4.6.1\System.Xaml.dll" />
<ReferencePath Include="C:\Program Files (x86)\Reference Assemblies\Microsoft\Framework\.NETFramework\v4.6.1\System.Xml.dll" />
<ReferencePath Include="C:\Program Files (x86)\Reference Assemblies\Microsoft\Framework\.NETFramework\v4.6.1\System.Xml.Linq.dll" />
<ReferencePath Include="C:\Program Files (x86)\Reference Assemblies\Microsoft\Framework\.NETFramework\v4.6.1\WindowsBase.dll" />
</ItemGroup>
<ItemGroup>
<Compile Include="C:\Users\adrie\OneDrive - Haute Ecole de la ville de Liège\3is\poo\ProjetTheAlone - Copie (9)\ProjetTheAlone\obj\Debug\View\FicDetailEvent.g.cs" />
<Compile Include="C:\Users\adrie\OneDrive - Haute Ecole de la ville de Liège\3is\poo\ProjetTheAlone - Copie (9)\ProjetTheAlone\obj\Debug\View\FicEncodePlat.g.cs" />
<Compile Include="C:\Users\adrie\OneDrive - Haute Ecole de la ville de Liège\3is\poo\ProjetTheAlone - Copie (9)\ProjetTheAlone\obj\Debug\MainWindow.g.cs" />
<Compile Include="C:\Users\adrie\OneDrive - Haute Ecole de la ville de Liège\3is\poo\ProjetTheAlone - Copie (9)\ProjetTheAlone\obj\Debug\UserControlDIY\EventFutur.g.cs" />
<Compile Include="C:\Users\adrie\OneDrive - Haute Ecole de la ville de Liège\3is\poo\ProjetTheAlone - Copie (9)\ProjetTheAlone\obj\Debug\UserControlDIY\EventPasse.g.cs" />
<Compile Include="C:\Users\adrie\OneDrive - Haute Ecole de la ville de Liège\3is\poo\ProjetTheAlone - Copie (9)\ProjetTheAlone\obj\Debug\UserControlDIY\Plat.g.cs" />
<Compile Include="C:\Users\adrie\OneDrive - Haute Ecole de la ville de Liège\3is\poo\ProjetTheAlone - Copie (9)\ProjetTheAlone\obj\Debug\UserControlDIY\Repa.g.cs" />
<Compile Include="C:\Users\adrie\OneDrive - Haute Ecole de la ville de Liège\3is\poo\ProjetTheAlone - Copie (9)\ProjetTheAlone\obj\Debug\View\Accueil.g.cs" />
<Compile Include="C:\Users\adrie\OneDrive - Haute Ecole de la ville de Liège\3is\poo\ProjetTheAlone - Copie (9)\ProjetTheAlone\obj\Debug\View\DashBoard.g.cs" />
<Compile Include="C:\Users\adrie\OneDrive - Haute Ecole de la ville de Liège\3is\poo\ProjetTheAlone - Copie (9)\ProjetTheAlone\obj\Debug\View\FicBeneficiaireEncode.g.cs" />
<Compile Include="C:\Users\adrie\OneDrive - Haute Ecole de la ville de Liège\3is\poo\ProjetTheAlone - Copie (9)\ProjetTheAlone\obj\Debug\View\FicEncodage.g.cs" />
<Compile Include="C:\Users\adrie\OneDrive - Haute Ecole de la ville de Liège\3is\poo\ProjetTheAlone - Copie (9)\ProjetTheAlone\obj\Debug\View\FicEvenementEncode.g.cs" />
<Compile Include="C:\Users\adrie\OneDrive - Haute Ecole de la ville de Liège\3is\poo\ProjetTheAlone - Copie (9)\ProjetTheAlone\obj\Debug\View\FicNewEquipe.g.cs" />
<Compile Include="C:\Users\adrie\OneDrive - Haute Ecole de la ville de Liège\3is\poo\ProjetTheAlone - Copie (9)\ProjetTheAlone\obj\Debug\View\FicNewLieu.g.cs" />
<Compile Include="C:\Users\adrie\OneDrive - Haute Ecole de la ville de Liège\3is\poo\ProjetTheAlone - Copie (9)\ProjetTheAlone\obj\Debug\View\FicNewtypeEvent.g.cs" />
<Compile Include="C:\Users\adrie\OneDrive - Haute Ecole de la ville de Liège\3is\poo\ProjetTheAlone - Copie (9)\ProjetTheAlone\obj\Debug\View\FicRepasEncode.g.cs" />
<Compile Include="C:\Users\adrie\OneDrive - Haute Ecole de la ville de Liège\3is\poo\ProjetTheAlone - Copie (9)\ProjetTheAlone\obj\Debug\App.g.cs" />
<Compile Include="C:\Users\adrie\OneDrive - Haute Ecole de la ville de Liège\3is\poo\ProjetTheAlone - Copie (9)\ProjetTheAlone\obj\Debug\ProjetTheAlone_Content.g.cs" />
<Compile Include="C:\Users\adrie\OneDrive - Haute Ecole de la ville de Liège\3is\poo\ProjetTheAlone - Copie (9)\ProjetTheAlone\obj\Debug\GeneratedInternalTypeHelper.g.cs" />
</ItemGroup>
</Project>

View File

@ -19,9 +19,6 @@ namespace ProjetTheAlone.View
/// </summary>
public partial class Accueil : Window
{
DashBoard W_DashBoard;
FicEncodage W_FicEncodage;
FicGestionAlert W_GestionAlert;
public Accueil()
{
InitializeComponent();
@ -29,6 +26,7 @@ namespace ProjetTheAlone.View
//W_DashBoard = new DashBoard();
//W_FicEncodage = new FicEncodage();
//W_GestionAlert = new FicGestionAlert();
}
private static bool openaffichage = false;
private static bool openencodage = false;
@ -82,8 +80,6 @@ namespace ProjetTheAlone.View
{
FicGestionAlert w = new FicGestionAlert();
w.Show();
}
}
}

View File

@ -0,0 +1,32 @@
<Window x:Class="ProjetTheAlone.View.FicClassement"
xmlns="http://schemas.microsoft.com/winfx/2006/xaml/presentation"
xmlns:x="http://schemas.microsoft.com/winfx/2006/xaml"
xmlns:d="http://schemas.microsoft.com/expression/blend/2008"
xmlns:mc="http://schemas.openxmlformats.org/markup-compatibility/2006"
xmlns:local="clr-namespace:ProjetTheAlone.View"
mc:Ignorable="d"
Title="Classement" Height="517.897" Width="638.259" WindowStartupLocation="CenterScreen" WindowStyle="None">
<Grid Margin="0,0,2,2">
<Label Content="Classement" HorizontalAlignment="Left" Margin="24,15,0,0" VerticalAlignment="Top" FontFamily="Calibri" FontSize="20" Width="115" Height="34"/>
<Button x:Name="btnQuitter"
Content="Quitter" Click="btnQuitter_Click" Height="41" Margin="494,436,28,31" RenderTransformOrigin="1.189,1.927"/>
<DataGrid x:Name="dgEquipes" ItemsSource="{Binding BcpEquipes}" VerticalScrollBarVisibility="Visible"
IsReadOnly="True" AutoGenerateColumns="False"
SelectedItem="{Binding EquipeSelectionnee, Mode=TwoWay, UpdateSourceTrigger=PropertyChanged}" Margin="51,71,295,112" >
<DataGrid.Columns>
<DataGridTextColumn Visibility="Hidden" Binding="{Binding ID_equipe}" />
<DataGridTextColumn Header="Nom d'équipe" Binding="{Binding E_nom}" Width="*" />
<DataGridTextColumn Header="Points" Binding="{Binding E_point}" Width="*" />
</DataGrid.Columns>
</DataGrid>
<Button x:Name="btnModifScore"
Content="Modifier le score" Command="{Binding cModifierPoint}" Height="Auto" Margin="389,231,48,227" IsEnabled="{Binding ActiverBcpFiche, Mode=OneWay}" RenderTransformOrigin="1.189,1.927"/>
<TextBox HorizontalAlignment="Left" Height="23" Margin="513,138,0,0" Text="{Binding UneEquipe.Point}" IsEnabled="{Binding ActiverUneFiche, Mode=OneWay}" TextWrapping="Wrap" VerticalAlignment="Top" Width="67"/>
<Label Content="Score de l'équipe" HorizontalAlignment="Left" IsEnabled="{Binding ActiverUneFiche, Mode=OneWay}" Margin="389,135,0,0" VerticalAlignment="Top" Width="119"/>
<Button x:Name="btnValider"
Content="Valider" Command="{Binding cConfirmer}" Height="Auto" Margin="389,179,146,293" RenderTransformOrigin="1.189,1.927" IsEnabled="{Binding ActiverUneFiche, Mode=OneWay}"/>
<Button x:Name="btnAnnuler"
Content="Annuler" Command="{Binding cAnnuler}" Height="Auto" Margin="487,179,48,293" RenderTransformOrigin="1.189,1.927" IsEnabled="{Binding ActiverUneFiche, Mode=OneWay}"/>
</Grid>
</Window>

View File

@ -0,0 +1,37 @@
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Shapes;
using ProjetTheAlone.Classes;
using ProjetTheAlone.Gestion;
using ProjetTheAlone.Config;
namespace ProjetTheAlone.View
{
/// <summary>
/// Logique d'interaction pour FicClassement.xaml
/// </summary>
public partial class FicClassement : Window
{
public FicClassement(C_T_event _EventSelect)
{
C_T_event EventSelect = _EventSelect;
InitializeComponent();
DataContext = new ViewModel.VM_Classement(EventSelect);
}
private void btnQuitter_Click(object sender, RoutedEventArgs e)
{
Close();
}
}
}

View File

@ -4,8 +4,6 @@
xmlns:d="http://schemas.microsoft.com/expression/blend/2008"
xmlns:mc="http://schemas.openxmlformats.org/markup-compatibility/2006"
xmlns:local="clr-namespace:ProjetTheAlone"
xmlns:System="clr-namespace:System;assembly=mscorlib"
xmlns:StyleAlias="clr-namespace:ProjetTheAlone.Classes"
xmlns:convert="clr-namespace:ProjetTheAlone.Converter"
mc:Ignorable="d"
Title="Plats" Height="482.167" Width="955.5" WindowStartupLocation="CenterScreen" WindowStyle="None">
@ -43,8 +41,10 @@
</DockPanel>
<DockPanel Grid.Row="5" Grid.ColumnSpan="2">
<ComboBox x:Name="TypePlat" SelectionChanged="TypePlat_SelectionChanged" SelectedValue="{Binding Typeplat, Mode=TwoWay}">
<ComboBox x:Name="TypePlat" SelectionChanged="TypePlat_SelectionChanged">
<ComboBoxItem>Soupe</ComboBoxItem>
<ComboBoxItem IsSelected="True">Plat</ComboBoxItem>
<ComboBoxItem>Dessert</ComboBoxItem>
</ComboBox>
</DockPanel>
</Grid>

View File

@ -26,7 +26,6 @@ namespace ProjetTheAlone
public FicEncodePlat()
{
InitializeComponent();
this.TypePlat.ItemsSource = Enum.GetValues(typeof(Classes.C_T_plat.TypePlat_E)).Cast<Classes.C_T_plat.TypePlat_E>();
DataContext = new ViewModel.VM_Plat();
}
@ -55,8 +54,8 @@ namespace ProjetTheAlone
private void TypePlat_SelectionChanged(object sender, SelectionChangedEventArgs e)
{
if (DataContext != null && this.TypePlat.Text != "")
((ViewModel.VM_Plat)DataContext).UnPlat.TypePlat = (C_T_plat.TypePlat_E)Enum.Parse(typeof(C_T_plat.TypePlat_E), this.TypePlat.SelectedValue.ToString());
if (DataContext != null)
((ViewModel.VM_Plat)DataContext).UnPlat.TypePlat = (C_T_plat.TypePlat_E)Enum.Parse(typeof(C_T_plat.TypePlat_E), this.TypePlat.Text);
}
}
}

View File

@ -0,0 +1,37 @@
<Window x:Class="ProjetTheAlone.View.FicGestionAlert"
xmlns="http://schemas.microsoft.com/winfx/2006/xaml/presentation"
xmlns:x="http://schemas.microsoft.com/winfx/2006/xaml"
xmlns:d="http://schemas.microsoft.com/expression/blend/2008"
xmlns:mc="http://schemas.openxmlformats.org/markup-compatibility/2006"
xmlns:local="clr-namespace:ProjetTheAlone.View"
mc:Ignorable="d"
Title="FicGestionAlert" Height="450" Width="400">
<Grid>
<Grid.RowDefinitions >
<RowDefinition Height="auto" />
<RowDefinition Height="*" />
<RowDefinition Height="auto" />
</Grid.RowDefinitions>
<DockPanel>
<TextBlock HorizontalAlignment="Left" VerticalAlignment="Center" FontSize="20" FontFamily="Rockwell">Liste Alrte</TextBlock>
<DockPanel HorizontalAlignment="Right">
<Button Width="auto" Content="Edit" Command="{Binding cEditer}"/>
<Button Width="auto" Content="Del" Command="{Binding cDel}"/>
</DockPanel>
</DockPanel>
<DataGrid SelectionMode="Single" x:Name="dgListeAlert" ItemsSource="{Binding AlerteList, Mode=TwoWay}" SelectedItem="{Binding AlertSelect}" VerticalScrollBarVisibility="Visible"
IsReadOnly="True" AutoGenerateColumns="False" VerticalAlignment="Stretch" ColumnWidth="*" Grid.Row="1" HeadersVisibility="None">
<DataGrid.Columns>
<DataGridTextColumn Binding="{Binding}" />
</DataGrid.Columns>
</DataGrid>
<Grid Grid.Row="2">
<Grid.ColumnDefinitions>
<ColumnDefinition Width="*"/>
<ColumnDefinition Width="auto"/>
</Grid.ColumnDefinitions>
<TextBox HorizontalAlignment="Stretch" Text="{Binding NouvelleAlert, Mode=TwoWay}" />
<Button HorizontalAlignment="Right" Command="{Binding cAjouter}" Content="{Binding btnConfirmtxt}"></Button>
</Grid>
</Grid>
</Window>

View File

@ -0,0 +1,31 @@
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Shapes;
namespace ProjetTheAlone.View
{
/// <summary>
/// Logique d'interaction pour FicGestionAlert.xaml
/// </summary>
public partial class FicGestionAlert : Window
{
public FicGestionAlert()
{
InitializeComponent();
this.DataContext = new ViewModel.VM_FicGestionAlert();
}
}
}

View File

@ -0,0 +1,131 @@
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using ProjetTheAlone.Classes;
using ProjetTheAlone.Gestion;
using System.Collections.ObjectModel;
using System.IO;
using ProjetTheAlone.Config;
namespace ProjetTheAlone.ViewModel
{
public class VM_Classement : BasePropriete
{
#region Données Écran
private string chConnexion = Settings2.Default.schCon /*@"Data Source=(LocalDB)\MSSQLLocalDB;AttachDbFilename='C:\Users\Hugues\Haute Ecole de la ville de Liège\Adrien VAN DAMME - ProjetTheAlone\ProjetTheAlone\ProjetThe.mdf';Integrated Security = True"*/;
private bool _ActiverUneFiche;
public bool ActiverUneFiche
{
get { return _ActiverUneFiche; }
set
{
AssignerChamp<bool>(ref _ActiverUneFiche, value, System.Reflection.MethodBase.GetCurrentMethod().Name);
ActiverBcpFiche = !ActiverUneFiche;
}
}
private bool _ActiverBcpFiche;
public bool ActiverBcpFiche
{
get { return _ActiverBcpFiche; }
set { AssignerChamp<bool>(ref _ActiverBcpFiche, value, System.Reflection.MethodBase.GetCurrentMethod().Name); }
}
#endregion
#region Données Sélectionnée
private C_T_equipe _EquipeSelectionnee;
public C_T_equipe EquipeSelectionnee
{
get { return _EquipeSelectionnee; }
set { AssignerChamp<C_T_equipe>(ref _EquipeSelectionnee, value, System.Reflection.MethodBase.GetCurrentMethod().Name); }
}
#endregion
#region Données extérieures
private VM_UneEquipe _UneEquipe;
public VM_UneEquipe UneEquipe
{
get { return _UneEquipe; }
set { AssignerChamp<VM_UneEquipe>(ref _UneEquipe, value, System.Reflection.MethodBase.GetCurrentMethod().Name); }
}
private ObservableCollection<C_T_equipe> _BcpEquipes = new ObservableCollection<C_T_equipe>();
public ObservableCollection<C_T_equipe> BcpEquipes
{
get { return _BcpEquipes; }
set { AssignerChamp<ObservableCollection<C_T_equipe>>(ref _BcpEquipes, value, System.Reflection.MethodBase.GetCurrentMethod().Name); }
}
#endregion
public VM_Classement(C_T_event EventSelect)
{
UneEquipe = new VM_UneEquipe();
UneEquipe.Point = 0;
BcpEquipes = ChargerEquipes(chConnexion, EventSelect);
ActiverUneFiche = false;
cConfirmer = new BaseCommande(Confirmer);
cAnnuler = new BaseCommande(Annuler);
cModifierPoint = new BaseCommande(ModifierPoint);
}
#region Commandes
public BaseCommande cConfirmer { get; set; }
public BaseCommande cAnnuler { get; set; }
public BaseCommande cModifierPoint { get; set; }
#endregion
#region Chargement
private ObservableCollection<C_T_equipe> ChargerEquipes(string chConn, C_T_event EventSelect)
{
ObservableCollection<C_T_equipe> rep = new ObservableCollection<C_T_equipe>();
List<C_T_equipe> lTmp = new G_T_equipe(chConn).Lire("E_point");
foreach (C_T_equipe Tmp in lTmp)
if (Tmp.ID_evenement == EventSelect.ID_event)
rep.Add(Tmp);
return rep;
}
#endregion
public void Confirmer()
{
new G_T_equipe(chConnexion).Modifier(UneEquipe.ID, UneEquipe.Nom, UneEquipe.Point, UneEquipe.IDEvent);
BcpEquipes[BcpEquipes.IndexOf(EquipeSelectionnee)] = new C_T_equipe(UneEquipe.ID, UneEquipe.Nom, UneEquipe.Point, UneEquipe.IDEvent);
ActiverUneFiche = false;
}
public void Annuler()
{ ActiverUneFiche = false; }
public void ModifierPoint()
{
if (EquipeSelectionnee != null)
{
C_T_equipe Tmp = new G_T_equipe(chConnexion).Lire_ID(EquipeSelectionnee.ID_equipe);
UneEquipe = new VM_UneEquipe();
UneEquipe.ID = Tmp.ID_equipe;
UneEquipe.Nom = Tmp.E_nom;
UneEquipe.Point = Tmp.E_point;
UneEquipe.IDEvent = Tmp.ID_evenement.Value;
ActiverUneFiche = true;
}
}
}
}

View File

@ -0,0 +1,225 @@
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using ProjetTheAlone.Classes;
using ProjetTheAlone.Gestion;
using System.Collections.ObjectModel;
using System.IO;
using ProjetTheAlone.Config;
namespace ProjetTheAlone.ViewModel
{
public class VM_DetailEvent : BasePropriete
{
#region Données Écran
private string chConnexion = Settings2.Default.schCon /*@"Data Source=(LocalDB)\MSSQLLocalDB;AttachDbFilename='C:\Users\Hugues\Haute Ecole de la ville de Liège\Adrien VAN DAMME - ProjetTheAlone\ProjetTheAlone\ProjetThe.mdf';Integrated Security = True"*/;
private bool _ActiverUneFiche;
public bool ActiverUneFiche
{
get { return _ActiverUneFiche; }
set
{
AssignerChamp<bool>(ref _ActiverUneFiche, value, System.Reflection.MethodBase.GetCurrentMethod().Name);
ActiverBcpFiche = !ActiverUneFiche;
}
}
private bool _ActiverBcpFiche;
public bool ActiverBcpFiche
{
get { return _ActiverBcpFiche; }
set { AssignerChamp<bool>(ref _ActiverBcpFiche, value, System.Reflection.MethodBase.GetCurrentMethod().Name); }
}
#endregion
#region Données Sélectionnée
private C_T_equipe _EquipeSelectionnee;
public C_T_equipe EquipeSelectionnee
{
get { return _EquipeSelectionnee; }
set { AssignerChamp<C_T_equipe>(ref _EquipeSelectionnee, value, System.Reflection.MethodBase.GetCurrentMethod().Name); }
}
#endregion
#region Données extérieures
private VM_UnEvent _UnDetailEvent;
public VM_UnEvent UnDetailEvent
{
get { return _UnDetailEvent; }
set { AssignerChamp<VM_UnEvent>(ref _UnDetailEvent, value, System.Reflection.MethodBase.GetCurrentMethod().Name); }
}
private string _Lieu;
public string Lieu
{
get { return _Lieu; }
set { AssignerChamp<string>(ref _Lieu, value, System.Reflection.MethodBase.GetCurrentMethod().Name); }
}
private string _TypeEvent;
public string TypeEvent
{
get { return _TypeEvent; }
set { AssignerChamp<string>(ref _TypeEvent, value, System.Reflection.MethodBase.GetCurrentMethod().Name); }
}
private string _Duree;
public string Duree
{
get { return _Duree; }
set { AssignerChamp<string>(ref _Duree, value, System.Reflection.MethodBase.GetCurrentMethod().Name); }
}
private VM_UneEquipe _UneEquipe;
public VM_UneEquipe UneEquipe
{
get { return _UneEquipe; }
set { AssignerChamp<VM_UneEquipe>(ref _UneEquipe, value, System.Reflection.MethodBase.GetCurrentMethod().Name); }
}
private ObservableCollection<C_T_equipe> _BcpEquipes = new ObservableCollection<C_T_equipe>();
public ObservableCollection<C_T_equipe> BcpEquipes
{
get { return _BcpEquipes; }
set { AssignerChamp<ObservableCollection<C_T_equipe>>(ref _BcpEquipes, value, System.Reflection.MethodBase.GetCurrentMethod().Name); }
}
private VM_UnJoueur _UnJoueur;
public VM_UnJoueur UnJoueur
{
get { return _UnJoueur; }
set { AssignerChamp<VM_UnJoueur>(ref _UnJoueur, value, System.Reflection.MethodBase.GetCurrentMethod().Name); }
}
private ObservableCollection<C_T_listParticipant> _BcpJoueurs = new ObservableCollection<C_T_listParticipant>();
public ObservableCollection<C_T_listParticipant> BcpJoueurs
{
get { return _BcpJoueurs; }
set { AssignerChamp<ObservableCollection<C_T_listParticipant>>(ref _BcpJoueurs, value, System.Reflection.MethodBase.GetCurrentMethod().Name); }
}
private VM_UnBeneficiaire _UnNomJoueur;
public VM_UnBeneficiaire UnNomJoueur
{
get { return _UnNomJoueur; }
set { AssignerChamp<VM_UnBeneficiaire>(ref _UnNomJoueur, value, System.Reflection.MethodBase.GetCurrentMethod().Name); }
}
private ObservableCollection<C_T_beneficiaire> _BcpNomJoueurs = new ObservableCollection<C_T_beneficiaire>();
public ObservableCollection<C_T_beneficiaire> BcpNomJoueurs
{
get { return _BcpNomJoueurs; }
set { AssignerChamp<ObservableCollection<C_T_beneficiaire>>(ref _BcpNomJoueurs, value, System.Reflection.MethodBase.GetCurrentMethod().Name); }
}
#endregion
public VM_DetailEvent(C_T_event EventSelect)
{
UnDetailEvent = new VM_UnEvent();
UnDetailEvent.ID = EventSelect.ID_event;
UnDetailEvent.Date = EventSelect.E_date.Value;
UnDetailEvent.Description = EventSelect.E_description;
UnDetailEvent.Duree = EventSelect.E_duree.Value;
Lieu = ChargerLieu(chConnexion, EventSelect);
TypeEvent = ChargerTypeEvent(chConnexion, EventSelect);
Duree = ChargerDuree(chConnexion, EventSelect).ToString();
BcpEquipes = ChargerEquipes(chConnexion,EventSelect);
cAfficherJoueur = new BaseCommande (ChargerJoueur);
}
#region Commandes
public BaseCommande cAfficherJoueur { get; set; }
#endregion
#region Chargement
private string ChargerLieu(string chConn , C_T_event EventSelect)
{
string Lieu = "";
List<C_T_lieu> lTmp = new G_T_lieu(chConn).Lire("ID_lieu");
foreach (C_T_lieu Tmp in lTmp)
{
if (EventSelect.ID_lieu == Tmp.ID_lieu)
Lieu = Tmp.L_nom;
}
return Lieu;
}
private TimeSpan ChargerDuree(string chConn, C_T_event EventSelect)
{
TimeSpan Duree ;
return Duree = EventSelect.E_duree.Value - EventSelect.E_date.Value;
}
private string ChargerTypeEvent(string chConn, C_T_event EventSelect)
{
string typeEvenement = "";
List<C_T_typeEvenement> TETmp = new G_T_typeEvenement(chConn).Lire("ID_typeEvenement");
foreach (C_T_typeEvenement Tmp in TETmp)
{
if (EventSelect.ID_typeEvenement == Tmp.ID_typeEvenement)
typeEvenement = Tmp.TE_nom;
}
return typeEvenement;
}
private ObservableCollection<C_T_equipe> ChargerEquipes(string chConn, C_T_event EventSelect)
{
ObservableCollection<C_T_equipe> rep = new ObservableCollection<C_T_equipe>();
List<C_T_equipe> lTmp = new G_T_equipe(chConn).Lire("E_nom");
foreach (C_T_equipe Tmp in lTmp)
if (Tmp.ID_evenement == EventSelect.ID_event)
rep.Add(Tmp);
return rep;
}
private void ChargerJoueur()
{
if (EquipeSelectionnee != null)
{
ObservableCollection<C_T_listParticipant> rep = new ObservableCollection<C_T_listParticipant>();
ObservableCollection<C_T_beneficiaire> rep2 = new ObservableCollection<C_T_beneficiaire>();
List<C_T_listParticipant> lTmp = new G_T_listParticipant(chConnexion).Lire("ID_beneficiaire");
foreach (C_T_listParticipant Tmp in lTmp)
if(EquipeSelectionnee.ID_equipe == Tmp.ID_equipe)
rep.Add(Tmp);
BcpJoueurs = rep;
List<C_T_beneficiaire> bTmp = new G_T_beneficiaire(chConnexion).Lire("B_nom");
foreach (C_T_listParticipant ltmp in rep)
foreach (C_T_beneficiaire Tmp in bTmp)
if (ltmp.ID_benificiaire == Tmp.ID_beneficiaire)
rep2.Add(Tmp);
BcpNomJoueurs = rep2;
}
}
#endregion
}
}

View File

@ -0,0 +1,53 @@
using System;
using System.Collections.Generic;
using System.Collections.ObjectModel;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using ProjetTheAlone.Classes;
using ProjetTheAlone.Gestion;
namespace ProjetTheAlone.ViewModel
{
public class EventDGV_VM : BasePropriete
{
string chConn = Config.Settings1.Default.schCon;
string date;
ObservableCollection<Classes.C_T_event> bcpEvent;
public ObservableCollection<C_T_event> BcpEvent { get => bcpEvent; set => bcpEvent = value; }
public string Date { get => date; set => base.AssignerChamp<string>(ref date, value, "Date"); }
public EventDGV_VM()
{
BcpEvent = chargerEventOfTheDay(DateTime.Now);
}
public EventDGV_VM(DateTime date)
{
BcpEvent = chargerEventOfTheDay(date);
Date = date.ToShortDateString();
}
private ObservableCollection<C_T_event> chargerEventOfTheDay(DateTime date)
{
ObservableCollection<C_T_event> rep = new ObservableCollection<C_T_event>();
List<C_T_event> lTmp = new G_T_event(chConn).Lire(date);
foreach (C_T_event Tmp in lTmp)
rep.Add(Tmp);
return rep;
}
}
public class unEvent : BasePropriete
{
C_T_event evenment;
public unEvent()
{
}
public C_T_event Evenment { get => evenment; set => evenment = value; }
public string AffichageDetail { get => $"{new G_T_typeEvenement(Config.Settings1.Default.schCon).Lire_ID(Evenment.ID_typeEvenement.Value)} " +
$"le {Evenment.E_date} pandant {Evenment.E_duree}"; }
}
}

View File

@ -0,0 +1,95 @@
using System;
using System.Collections.Generic;
using System.Collections.ObjectModel;
using System.Collections.Specialized;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
namespace ProjetTheAlone.ViewModel
{
public class VM_FicGestionAlert : BasePropriete
{
private ObservableCollection<string> alerteList;
public ObservableCollection<string> AlerteList {
get {
if (Config.Settings1.Default.alerte == null) Config.Settings1.Default.alerte = new StringCollection();
if (alerteList == null) alerteList = new ObservableCollection<string>();
if (alerteList.Count <= Config.Settings1.Default.alerte.Count) {
this.alerteList = new ObservableCollection<string>();
for (int i = 0; i < Config.Settings1.Default.alerte.Count; i++)
alerteList.Add(Config.Settings1.Default.alerte[i]);
}
return alerteList; }
set {
Config.Settings1.Default.alerte.Add(value.Last());
Config.Settings1.Default.Save();
OnPropertyChanged("AlerteList"); } }
public BaseCommande cAjouter { get; set; }
public BaseCommande cEditer { get; set; }
public BaseCommande cDel { get; set; }
public string AlertSelect { get => alertSelect; set { alertSelect = value; OnPropertyChanged("AlertSelect"); } }
public string NouvelleAlert { get => nouvelleAlert; set { nouvelleAlert = value; OnPropertyChanged("NouvelleAlert"); } }
string nouvelleAlert = "";
bool edit = false;
public string btnConfirmtxt { get {if(Edit) return "Mettre à jour"; else return "Ajouter";} }
public bool Edit { get => edit; set { edit = value; OnPropertyChanged("btnConfirmtxt"); } }
public BaseCommande cSuprimer;
string alertSelect = "";
public VM_FicGestionAlert()
{
cAjouter = new BaseCommande(Ajouter);
cEditer = new BaseCommande(EditCMD);
cDel = new BaseCommande(Suprimer);
}
public void Ajouter()
{
if(nouvelleAlert != "")
if(!edit)
{
AlerteList.Add(nouvelleAlert);
Config.Settings1.Default.alerte.Add(nouvelleAlert);
Config.Settings1.Default.Save();
OnPropertyChanged("AlerteList");
}
else
{
int setingIndex = Config.Settings1.Default.alerte.IndexOf(AlertSelect);
int alertListIndex = AlerteList.IndexOf(AlertSelect);
AlerteList[alertListIndex] = NouvelleAlert;
Config.Settings1.Default.alerte[setingIndex] = nouvelleAlert;
Config.Settings1.Default.Save();
Edit = false;
OnPropertyChanged("AlerteList");
}
}
public void Suprimer()
{
int setingIndex = Config.Settings1.Default.alerte.IndexOf(AlertSelect);
int alertListIndex = AlerteList.IndexOf(AlertSelect);
if (setingIndex < 0 && alertListIndex <0)
return;
AlerteList.RemoveAt(alertListIndex);
Config.Settings1.Default.alerte.RemoveAt(setingIndex);
Config.Settings1.Default.Save();
Edit = false;
OnPropertyChanged("AlerteList");
}
public void EditCMD()
{
if (AlertSelect != "" || Edit)
{
Edit = (Edit ? false : true);
NouvelleAlert = AlertSelect;
}
}
}
}

@ -0,0 +1 @@
Subproject commit 17331c389e98897895d01997028451651ced8040

1
git/COMMIT_EDITMSG Normal file
View File

@ -0,0 +1 @@
procédure ListPlat

1
git/HEAD Normal file
View File

@ -0,0 +1 @@
ref: refs/heads/master

31
git/config Normal file
View File

@ -0,0 +1,31 @@
[core]
repositoryformatversion = 0
filemode = false
bare = false
logallrefupdates = true
symlinks = false
ignorecase = true
[user]
[diff]
tool = vsdiffmerge
[difftool]
prompt = true
[difftool "vsdiffmerge"]
cmd = \"C:\\Program Files (x86)\\Microsoft Visual Studio\\2017\\Professional\\Common7\\IDE\\CommonExtensions\\Microsoft\\TeamFoundation\\Team Explorer\\vsdiffmerge.exe\" \"$LOCAL\" \"$REMOTE\" //t
keepBackup = false
[merge]
tool = vsdiffmerge
[mergetool]
prompt = true
[mergetool "vsdiffmerge"]
cmd = \"C:\\Program Files (x86)\\Microsoft Visual Studio\\2017\\Professional\\Common7\\IDE\\CommonExtensions\\Microsoft\\TeamFoundation\\Team Explorer\\vsdiffmerge.exe\" \"$REMOTE\" \"$LOCAL\" \"$BASE\" \"$MERGED\" //m
keepBackup = false
trustExitCode = true
[credential]
helper = store
[remote "origin"]
url = https://git.adriy.be/iset3/projetthealone.git
fetch = +refs/heads/*:refs/remotes/origin/*
[branch "master"]
remote = origin
merge = refs/heads/master

1
git/description Normal file
View File

@ -0,0 +1 @@
Unnamed repository; edit this file 'description' to name the repository.

View File

@ -0,0 +1,15 @@
#!/bin/sh
#
# An example hook script to check the commit log message taken by
# applypatch from an e-mail message.
#
# The hook should exit with non-zero status after issuing an
# appropriate message if it wants to stop the commit. The hook is
# allowed to edit the commit message file.
#
# To enable this hook, rename this file to "applypatch-msg".
. git-sh-setup
commitmsg="$(git rev-parse --git-path hooks/commit-msg)"
test -x "$commitmsg" && exec "$commitmsg" ${1+"$@"}
:

View File

@ -0,0 +1,24 @@
#!/bin/sh
#
# An example hook script to check the commit log message.
# Called by "git commit" with one argument, the name of the file
# that has the commit message. The hook should exit with non-zero
# status after issuing an appropriate message if it wants to stop the
# commit. The hook is allowed to edit the commit message file.
#
# To enable this hook, rename this file to "commit-msg".
# Uncomment the below to add a Signed-off-by line to the message.
# Doing this in a hook is a bad idea in general, but the prepare-commit-msg
# hook is more suited to it.
#
# SOB=$(git var GIT_AUTHOR_IDENT | sed -n 's/^\(.*>\).*$/Signed-off-by: \1/p')
# grep -qs "^$SOB" "$1" || echo "$SOB" >> "$1"
# This example catches duplicate Signed-off-by lines.
test "" = "$(grep '^Signed-off-by: ' "$1" |
sort | uniq -c | sed -e '/^[ ]*1[ ]/d')" || {
echo >&2 Duplicate Signed-off-by lines.
exit 1
}

View File

@ -0,0 +1,114 @@
#!/usr/bin/perl
use strict;
use warnings;
use IPC::Open2;
# An example hook script to integrate Watchman
# (https://facebook.github.io/watchman/) with git to speed up detecting
# new and modified files.
#
# The hook is passed a version (currently 1) and a time in nanoseconds
# formatted as a string and outputs to stdout all files that have been
# modified since the given time. Paths must be relative to the root of
# the working tree and separated by a single NUL.
#
# To enable this hook, rename this file to "query-watchman" and set
# 'git config core.fsmonitor .git/hooks/query-watchman'
#
my ($version, $time) = @ARGV;
# Check the hook interface version
if ($version == 1) {
# convert nanoseconds to seconds
$time = int $time / 1000000000;
} else {
die "Unsupported query-fsmonitor hook version '$version'.\n" .
"Falling back to scanning...\n";
}
my $git_work_tree;
if ($^O =~ 'msys' || $^O =~ 'cygwin') {
$git_work_tree = Win32::GetCwd();
$git_work_tree =~ tr/\\/\//;
} else {
require Cwd;
$git_work_tree = Cwd::cwd();
}
my $retry = 1;
launch_watchman();
sub launch_watchman {
my $pid = open2(\*CHLD_OUT, \*CHLD_IN, 'watchman -j --no-pretty')
or die "open2() failed: $!\n" .
"Falling back to scanning...\n";
# In the query expression below we're asking for names of files that
# changed since $time but were not transient (ie created after
# $time but no longer exist).
#
# To accomplish this, we're using the "since" generator to use the
# recency index to select candidate nodes and "fields" to limit the
# output to file names only. Then we're using the "expression" term to
# further constrain the results.
#
# The category of transient files that we want to ignore will have a
# creation clock (cclock) newer than $time_t value and will also not
# currently exist.
my $query = <<" END";
["query", "$git_work_tree", {
"since": $time,
"fields": ["name"],
"expression": ["not", ["allof", ["since", $time, "cclock"], ["not", "exists"]]]
}]
END
print CHLD_IN $query;
close CHLD_IN;
my $response = do {local $/; <CHLD_OUT>};
die "Watchman: command returned no output.\n" .
"Falling back to scanning...\n" if $response eq "";
die "Watchman: command returned invalid output: $response\n" .
"Falling back to scanning...\n" unless $response =~ /^\{/;
my $json_pkg;
eval {
require JSON::XS;
$json_pkg = "JSON::XS";
1;
} or do {
require JSON::PP;
$json_pkg = "JSON::PP";
};
my $o = $json_pkg->new->utf8->decode($response);
if ($retry > 0 and $o->{error} and $o->{error} =~ m/unable to resolve root .* directory (.*) is not watched/) {
print STDERR "Adding '$git_work_tree' to watchman's watch list.\n";
$retry--;
qx/watchman watch "$git_work_tree"/;
die "Failed to make watchman watch '$git_work_tree'.\n" .
"Falling back to scanning...\n" if $? != 0;
# Watchman will always return all files on the first query so
# return the fast "everything is dirty" flag to git and do the
# Watchman query just to get it over with now so we won't pay
# the cost in git to look up each individual file.
print "/\0";
eval { launch_watchman() };
exit 0;
}
die "Watchman: $o->{error}.\n" .
"Falling back to scanning...\n" if $o->{error};
binmode STDOUT, ":utf8";
local $, = "\0";
print @{$o->{files}};
}

View File

@ -0,0 +1,8 @@
#!/bin/sh
#
# An example hook script to prepare a packed repository for use over
# dumb transports.
#
# To enable this hook, rename this file to "post-update".
exec git update-server-info

View File

@ -0,0 +1,14 @@
#!/bin/sh
#
# An example hook script to verify what is about to be committed
# by applypatch from an e-mail message.
#
# The hook should exit with non-zero status after issuing an
# appropriate message if it wants to stop the commit.
#
# To enable this hook, rename this file to "pre-applypatch".
. git-sh-setup
precommit="$(git rev-parse --git-path hooks/pre-commit)"
test -x "$precommit" && exec "$precommit" ${1+"$@"}
:

View File

@ -0,0 +1,49 @@
#!/bin/sh
#
# An example hook script to verify what is about to be committed.
# Called by "git commit" with no arguments. The hook should
# exit with non-zero status after issuing an appropriate message if
# it wants to stop the commit.
#
# To enable this hook, rename this file to "pre-commit".
if git rev-parse --verify HEAD >/dev/null 2>&1
then
against=HEAD
else
# Initial commit: diff against an empty tree object
against=4b825dc642cb6eb9a060e54bf8d69288fbee4904
fi
# If you want to allow non-ASCII filenames set this variable to true.
allownonascii=$(git config --bool hooks.allownonascii)
# Redirect output to stderr.
exec 1>&2
# Cross platform projects tend to avoid non-ASCII filenames; prevent
# them from being added to the repository. We exploit the fact that the
# printable range starts at the space character and ends with tilde.
if [ "$allownonascii" != "true" ] &&
# Note that the use of brackets around a tr range is ok here, (it's
# even required, for portability to Solaris 10's /usr/bin/tr), since
# the square bracket bytes happen to fall in the designated range.
test $(git diff --cached --name-only --diff-filter=A -z $against |
LC_ALL=C tr -d '[ -~]\0' | wc -c) != 0
then
cat <<\EOF
Error: Attempt to add a non-ASCII file name.
This can cause problems if you want to work with people on other platforms.
To be portable it is advisable to rename the file.
If you know what you are doing you can disable this check using:
git config hooks.allownonascii true
EOF
exit 1
fi
# If there are whitespace errors, print the offending file names and fail.
exec git diff-index --check --cached $against --

53
git/hooks/pre-push.sample Normal file
View File

@ -0,0 +1,53 @@
#!/bin/sh
# An example hook script to verify what is about to be pushed. Called by "git
# push" after it has checked the remote status, but before anything has been
# pushed. If this script exits with a non-zero status nothing will be pushed.
#
# This hook is called with the following parameters:
#
# $1 -- Name of the remote to which the push is being done
# $2 -- URL to which the push is being done
#
# If pushing without using a named remote those arguments will be equal.
#
# Information about the commits which are being pushed is supplied as lines to
# the standard input in the form:
#
# <local ref> <local sha1> <remote ref> <remote sha1>
#
# This sample shows how to prevent push of commits where the log message starts
# with "WIP" (work in progress).
remote="$1"
url="$2"
z40=0000000000000000000000000000000000000000
while read local_ref local_sha remote_ref remote_sha
do
if [ "$local_sha" = $z40 ]
then
# Handle delete
:
else
if [ "$remote_sha" = $z40 ]
then
# New branch, examine all commits
range="$local_sha"
else
# Update to existing branch, examine new commits
range="$remote_sha..$local_sha"
fi
# Check for WIP commit
commit=`git rev-list -n 1 --grep '^WIP' "$range"`
if [ -n "$commit" ]
then
echo >&2 "Found WIP commit in $local_ref, not pushing"
exit 1
fi
fi
done
exit 0

169
git/hooks/pre-rebase.sample Normal file
View File

@ -0,0 +1,169 @@
#!/bin/sh
#
# Copyright (c) 2006, 2008 Junio C Hamano
#
# The "pre-rebase" hook is run just before "git rebase" starts doing
# its job, and can prevent the command from running by exiting with
# non-zero status.
#
# The hook is called with the following parameters:
#
# $1 -- the upstream the series was forked from.
# $2 -- the branch being rebased (or empty when rebasing the current branch).
#
# This sample shows how to prevent topic branches that are already
# merged to 'next' branch from getting rebased, because allowing it
# would result in rebasing already published history.
publish=next
basebranch="$1"
if test "$#" = 2
then
topic="refs/heads/$2"
else
topic=`git symbolic-ref HEAD` ||
exit 0 ;# we do not interrupt rebasing detached HEAD
fi
case "$topic" in
refs/heads/??/*)
;;
*)
exit 0 ;# we do not interrupt others.
;;
esac
# Now we are dealing with a topic branch being rebased
# on top of master. Is it OK to rebase it?
# Does the topic really exist?
git show-ref -q "$topic" || {
echo >&2 "No such branch $topic"
exit 1
}
# Is topic fully merged to master?
not_in_master=`git rev-list --pretty=oneline ^master "$topic"`
if test -z "$not_in_master"
then
echo >&2 "$topic is fully merged to master; better remove it."
exit 1 ;# we could allow it, but there is no point.
fi
# Is topic ever merged to next? If so you should not be rebasing it.
only_next_1=`git rev-list ^master "^$topic" ${publish} | sort`
only_next_2=`git rev-list ^master ${publish} | sort`
if test "$only_next_1" = "$only_next_2"
then
not_in_topic=`git rev-list "^$topic" master`
if test -z "$not_in_topic"
then
echo >&2 "$topic is already up-to-date with master"
exit 1 ;# we could allow it, but there is no point.
else
exit 0
fi
else
not_in_next=`git rev-list --pretty=oneline ^${publish} "$topic"`
/usr/bin/perl -e '
my $topic = $ARGV[0];
my $msg = "* $topic has commits already merged to public branch:\n";
my (%not_in_next) = map {
/^([0-9a-f]+) /;
($1 => 1);
} split(/\n/, $ARGV[1]);
for my $elem (map {
/^([0-9a-f]+) (.*)$/;
[$1 => $2];
} split(/\n/, $ARGV[2])) {
if (!exists $not_in_next{$elem->[0]}) {
if ($msg) {
print STDERR $msg;
undef $msg;
}
print STDERR " $elem->[1]\n";
}
}
' "$topic" "$not_in_next" "$not_in_master"
exit 1
fi
<<\DOC_END
This sample hook safeguards topic branches that have been
published from being rewound.
The workflow assumed here is:
* Once a topic branch forks from "master", "master" is never
merged into it again (either directly or indirectly).
* Once a topic branch is fully cooked and merged into "master",
it is deleted. If you need to build on top of it to correct
earlier mistakes, a new topic branch is created by forking at
the tip of the "master". This is not strictly necessary, but
it makes it easier to keep your history simple.
* Whenever you need to test or publish your changes to topic
branches, merge them into "next" branch.
The script, being an example, hardcodes the publish branch name
to be "next", but it is trivial to make it configurable via
$GIT_DIR/config mechanism.
With this workflow, you would want to know:
(1) ... if a topic branch has ever been merged to "next". Young
topic branches can have stupid mistakes you would rather
clean up before publishing, and things that have not been
merged into other branches can be easily rebased without
affecting other people. But once it is published, you would
not want to rewind it.
(2) ... if a topic branch has been fully merged to "master".
Then you can delete it. More importantly, you should not
build on top of it -- other people may already want to
change things related to the topic as patches against your
"master", so if you need further changes, it is better to
fork the topic (perhaps with the same name) afresh from the
tip of "master".
Let's look at this example:
o---o---o---o---o---o---o---o---o---o "next"
/ / / /
/ a---a---b A / /
/ / / /
/ / c---c---c---c B /
/ / / \ /
/ / / b---b C \ /
/ / / / \ /
---o---o---o---o---o---o---o---o---o---o---o "master"
A, B and C are topic branches.
* A has one fix since it was merged up to "next".
* B has finished. It has been fully merged up to "master" and "next",
and is ready to be deleted.
* C has not merged to "next" at all.
We would want to allow C to be rebased, refuse A, and encourage
B to be deleted.
To compute (1):
git rev-list ^master ^topic next
git rev-list ^master next
if these match, topic has not merged in next at all.
To compute (2):
git rev-list master..topic
if this is empty, it is fully merged to "master".
DOC_END

View File

@ -0,0 +1,24 @@
#!/bin/sh
#
# An example hook script to make use of push options.
# The example simply echoes all push options that start with 'echoback='
# and rejects all pushes when the "reject" push option is used.
#
# To enable this hook, rename this file to "pre-receive".
if test -n "$GIT_PUSH_OPTION_COUNT"
then
i=0
while test "$i" -lt "$GIT_PUSH_OPTION_COUNT"
do
eval "value=\$GIT_PUSH_OPTION_$i"
case "$value" in
echoback=*)
echo "echo from the pre-receive-hook: ${value#*=}" >&2
;;
reject)
exit 1
esac
i=$((i + 1))
done
fi

View File

@ -0,0 +1,36 @@
#!/bin/sh
#
# An example hook script to prepare the commit log message.
# Called by "git commit" with the name of the file that has the
# commit message, followed by the description of the commit
# message's source. The hook's purpose is to edit the commit
# message file. If the hook fails with a non-zero status,
# the commit is aborted.
#
# To enable this hook, rename this file to "prepare-commit-msg".
# This hook includes three examples. The first comments out the
# "Conflicts:" part of a merge commit.
#
# The second includes the output of "git diff --name-status -r"
# into the message, just before the "git status" output. It is
# commented because it doesn't cope with --amend or with squashed
# commits.
#
# The third example adds a Signed-off-by line to the message, that can
# still be edited. This is rarely a good idea.
case "$2,$3" in
merge,)
/usr/bin/perl -i.bak -ne 's/^/# /, s/^# #/#/ if /^Conflicts/ .. /#/; print' "$1" ;;
# ,|template,)
# /usr/bin/perl -i.bak -pe '
# print "\n" . `git diff --cached --name-status -r`
# if /^#/ && $first++ == 0' "$1" ;;
*) ;;
esac
# SOB=$(git var GIT_AUTHOR_IDENT | sed -n 's/^\(.*>\).*$/Signed-off-by: \1/p')
# grep -qs "^$SOB" "$1" || echo "$SOB" >> "$1"

128
git/hooks/update.sample Normal file
View File

@ -0,0 +1,128 @@
#!/bin/sh
#
# An example hook script to block unannotated tags from entering.
# Called by "git receive-pack" with arguments: refname sha1-old sha1-new
#
# To enable this hook, rename this file to "update".
#
# Config
# ------
# hooks.allowunannotated
# This boolean sets whether unannotated tags will be allowed into the
# repository. By default they won't be.
# hooks.allowdeletetag
# This boolean sets whether deleting tags will be allowed in the
# repository. By default they won't be.
# hooks.allowmodifytag
# This boolean sets whether a tag may be modified after creation. By default
# it won't be.
# hooks.allowdeletebranch
# This boolean sets whether deleting branches will be allowed in the
# repository. By default they won't be.
# hooks.denycreatebranch
# This boolean sets whether remotely creating branches will be denied
# in the repository. By default this is allowed.
#
# --- Command line
refname="$1"
oldrev="$2"
newrev="$3"
# --- Safety check
if [ -z "$GIT_DIR" ]; then
echo "Don't run this script from the command line." >&2
echo " (if you want, you could supply GIT_DIR then run" >&2
echo " $0 <ref> <oldrev> <newrev>)" >&2
exit 1
fi
if [ -z "$refname" -o -z "$oldrev" -o -z "$newrev" ]; then
echo "usage: $0 <ref> <oldrev> <newrev>" >&2
exit 1
fi
# --- Config
allowunannotated=$(git config --bool hooks.allowunannotated)
allowdeletebranch=$(git config --bool hooks.allowdeletebranch)
denycreatebranch=$(git config --bool hooks.denycreatebranch)
allowdeletetag=$(git config --bool hooks.allowdeletetag)
allowmodifytag=$(git config --bool hooks.allowmodifytag)
# check for no description
projectdesc=$(sed -e '1q' "$GIT_DIR/description")
case "$projectdesc" in
"Unnamed repository"* | "")
echo "*** Project description file hasn't been set" >&2
exit 1
;;
esac
# --- Check types
# if $newrev is 0000...0000, it's a commit to delete a ref.
zero="0000000000000000000000000000000000000000"
if [ "$newrev" = "$zero" ]; then
newrev_type=delete
else
newrev_type=$(git cat-file -t $newrev)
fi
case "$refname","$newrev_type" in
refs/tags/*,commit)
# un-annotated tag
short_refname=${refname##refs/tags/}
if [ "$allowunannotated" != "true" ]; then
echo "*** The un-annotated tag, $short_refname, is not allowed in this repository" >&2
echo "*** Use 'git tag [ -a | -s ]' for tags you want to propagate." >&2
exit 1
fi
;;
refs/tags/*,delete)
# delete tag
if [ "$allowdeletetag" != "true" ]; then
echo "*** Deleting a tag is not allowed in this repository" >&2
exit 1
fi
;;
refs/tags/*,tag)
# annotated tag
if [ "$allowmodifytag" != "true" ] && git rev-parse $refname > /dev/null 2>&1
then
echo "*** Tag '$refname' already exists." >&2
echo "*** Modifying a tag is not allowed in this repository." >&2
exit 1
fi
;;
refs/heads/*,commit)
# branch
if [ "$oldrev" = "$zero" -a "$denycreatebranch" = "true" ]; then
echo "*** Creating a branch is not allowed in this repository" >&2
exit 1
fi
;;
refs/heads/*,delete)
# delete branch
if [ "$allowdeletebranch" != "true" ]; then
echo "*** Deleting a branch is not allowed in this repository" >&2
exit 1
fi
;;
refs/remotes/*,commit)
# tracking branch
;;
refs/remotes/*,delete)
# delete tracking branch
if [ "$allowdeletebranch" != "true" ]; then
echo "*** Deleting a tracking branch is not allowed in this repository" >&2
exit 1
fi
;;
*)
# Anything else (is there anything else?)
echo "*** Update hook: unknown type of update to ref $refname of type $newrev_type" >&2
exit 1
;;
esac
# --- Finished
exit 0

BIN
git/index Normal file

Binary file not shown.

6
git/info/exclude Normal file
View File

@ -0,0 +1,6 @@
# git ls-files --others --exclude-from=.git/info/exclude
# Lines that start with '#' are comments.
# For a project mostly in C, the following would be a good set of
# exclude patterns (uncomment them if you want to use them):
# *.[oa]
# *~

12
git/logs/HEAD Normal file
View File

@ -0,0 +1,12 @@
0000000000000000000000000000000000000000 59a152abd16873768cc6d02a92d8612ec4ffc673 adri <reg+git@adriy.be> 1547654469 +0100 commit (initial): Add .gitignore and .gitattributes.
59a152abd16873768cc6d02a92d8612ec4ffc673 8321fc9793e3793cad85713db702dbfc97c0a589 adri <reg+git@adriy.be> 1547654471 +0100 commit: Add project files.
8321fc9793e3793cad85713db702dbfc97c0a589 8f7992622cff4685e066f42d5d2f8722fc4a49cb adri <reg+git@adriy.be> 1547656655 +0100 commit: Initial commit
8f7992622cff4685e066f42d5d2f8722fc4a49cb 63ac321e2f7dff89ffcf24c9ff27aff40ef4e228 adri <reg+git@adriy.be> 1547813335 +0100 commit: ini
63ac321e2f7dff89ffcf24c9ff27aff40ef4e228 995fb3068e3b1bfdd66fcc79e95c5715f5b66c35 adri <reg+git@adriy.be> 1547817036 +0100 commit: blocage
995fb3068e3b1bfdd66fcc79e95c5715f5b66c35 8c94a47456ad738e02f9dcc9448b11e12399401a adri <reg+git@adriy.be> 1547834694 +0100 commit: Hauteur plat non automatique
8c94a47456ad738e02f9dcc9448b11e12399401a 660f5d385590495ae91eac09592832a477a9198c adri <reg+git@adriy.be> 1547891900 +0100 commit: Gros UC avec 3 petit UC Ok (3xPlat=>Repa)
660f5d385590495ae91eac09592832a477a9198c dc46e7a99cbf3612c9abfc742f537210190d9f15 adri <reg+git@adriy.be> 1547892179 +0100 commit: Gros UC avec 3 petit UC Ok (3xPlat=>Repa) Vanish0
dc46e7a99cbf3612c9abfc742f537210190d9f15 abc3480b882519c7046c2d7ceac6c13ebbd83af4 adri <reg+git@adriy.be> 1547892257 +0100 commit: add files
abc3480b882519c7046c2d7ceac6c13ebbd83af4 e26277090551f9b9a150bde990c14ce70a0c94f9 adri <reg+git@adriy.be> 1547933349 +0100 commit: avent sup hu
e26277090551f9b9a150bde990c14ce70a0c94f9 6be830de85484eac67c4f3707a706890ea9def2f adri <reg+git@adriy.be> 1547981205 +0100 commit: procédure ListPlat
6be830de85484eac67c4f3707a706890ea9def2f 9e06f31677cb715fd78429d5f019f5e0a89e479a adri <reg+git@adriy.be> 1547981247 +0100 commit: procédure ListPlat

View File

@ -0,0 +1,12 @@
0000000000000000000000000000000000000000 59a152abd16873768cc6d02a92d8612ec4ffc673 adri <reg+git@adriy.be> 1547654469 +0100 commit (initial): Add .gitignore and .gitattributes.
59a152abd16873768cc6d02a92d8612ec4ffc673 8321fc9793e3793cad85713db702dbfc97c0a589 adri <reg+git@adriy.be> 1547654471 +0100 commit: Add project files.
8321fc9793e3793cad85713db702dbfc97c0a589 8f7992622cff4685e066f42d5d2f8722fc4a49cb adri <reg+git@adriy.be> 1547656655 +0100 commit: Initial commit
8f7992622cff4685e066f42d5d2f8722fc4a49cb 63ac321e2f7dff89ffcf24c9ff27aff40ef4e228 adri <reg+git@adriy.be> 1547813335 +0100 commit: ini
63ac321e2f7dff89ffcf24c9ff27aff40ef4e228 995fb3068e3b1bfdd66fcc79e95c5715f5b66c35 adri <reg+git@adriy.be> 1547817036 +0100 commit: blocage
995fb3068e3b1bfdd66fcc79e95c5715f5b66c35 8c94a47456ad738e02f9dcc9448b11e12399401a adri <reg+git@adriy.be> 1547834694 +0100 commit: Hauteur plat non automatique
8c94a47456ad738e02f9dcc9448b11e12399401a 660f5d385590495ae91eac09592832a477a9198c adri <reg+git@adriy.be> 1547891900 +0100 commit: Gros UC avec 3 petit UC Ok (3xPlat=>Repa)
660f5d385590495ae91eac09592832a477a9198c dc46e7a99cbf3612c9abfc742f537210190d9f15 adri <reg+git@adriy.be> 1547892179 +0100 commit: Gros UC avec 3 petit UC Ok (3xPlat=>Repa) Vanish0
dc46e7a99cbf3612c9abfc742f537210190d9f15 abc3480b882519c7046c2d7ceac6c13ebbd83af4 adri <reg+git@adriy.be> 1547892257 +0100 commit: add files
abc3480b882519c7046c2d7ceac6c13ebbd83af4 e26277090551f9b9a150bde990c14ce70a0c94f9 adri <reg+git@adriy.be> 1547933349 +0100 commit: avent sup hu
e26277090551f9b9a150bde990c14ce70a0c94f9 6be830de85484eac67c4f3707a706890ea9def2f adri <reg+git@adriy.be> 1547981205 +0100 commit: procédure ListPlat
6be830de85484eac67c4f3707a706890ea9def2f 9e06f31677cb715fd78429d5f019f5e0a89e479a adri <reg+git@adriy.be> 1547981247 +0100 commit: procédure ListPlat

View File

@ -0,0 +1,9 @@
0000000000000000000000000000000000000000 63ac321e2f7dff89ffcf24c9ff27aff40ef4e228 adri <reg+git@adriy.be> 1547813420 +0100 update by push
63ac321e2f7dff89ffcf24c9ff27aff40ef4e228 995fb3068e3b1bfdd66fcc79e95c5715f5b66c35 adri <reg+git@adriy.be> 1547817042 +0100 update by push
995fb3068e3b1bfdd66fcc79e95c5715f5b66c35 8c94a47456ad738e02f9dcc9448b11e12399401a adri <reg+git@adriy.be> 1547834701 +0100 update by push
8c94a47456ad738e02f9dcc9448b11e12399401a 660f5d385590495ae91eac09592832a477a9198c adri <reg+git@adriy.be> 1547891909 +0100 update by push
660f5d385590495ae91eac09592832a477a9198c dc46e7a99cbf3612c9abfc742f537210190d9f15 adri <reg+git@adriy.be> 1547892186 +0100 update by push
dc46e7a99cbf3612c9abfc742f537210190d9f15 abc3480b882519c7046c2d7ceac6c13ebbd83af4 adri <reg+git@adriy.be> 1547892265 +0100 update by push
abc3480b882519c7046c2d7ceac6c13ebbd83af4 e26277090551f9b9a150bde990c14ce70a0c94f9 adri <reg+git@adriy.be> 1547933354 +0100 update by push
e26277090551f9b9a150bde990c14ce70a0c94f9 6be830de85484eac67c4f3707a706890ea9def2f adri <reg+git@adriy.be> 1547981226 +0100 update by push
6be830de85484eac67c4f3707a706890ea9def2f 9e06f31677cb715fd78429d5f019f5e0a89e479a adri <reg+git@adriy.be> 1547981252 +0100 update by push

6
git/ms-persist.xml Normal file
View File

@ -0,0 +1,6 @@
<?xml version="1.0" encoding="utf-8"?>
<PendingCommit>
<CommitComment />
<WorkItems />
<PublishPrompt Enabled="True" />
</PendingCommit>

Binary file not shown.

Binary file not shown.

Binary file not shown.

Binary file not shown.

Binary file not shown.

Binary file not shown.

Binary file not shown.

View File

@ -0,0 +1,3 @@
xµTËnÛ0ìY_±@.)Ø𭨚<04>½­oE!è±uXH”@RF #äïð<C3AF>u—Ô´\ôRŸÌ]ÎìÎìRYYg°ú°Z½»Q¸µ„¯¨uݪ5àos>)<29>­BµZÈ|;hƒUì<55>ëº,17„ÖÏ(Q‰<¸±%ª8ºAY¸*Q$Ó
u“æ/ªþ…fûŠOe-q±.S­©Þ1år Ÿt[U©:<¸£ËB<C38B>PœO?…\•ŽŠZÊó‰€qM•"‡œ‰a<E280B0>lÜ£4PèUo:4TXe, QbŸ! $_6OÊnE…<45><E280A6><'®'ÉA/Kœ„"Rshð™ÚÁŠZšâµQì73£Î•hXèôÂ@QÒ€8á~}×ÙÁàã÷LðÂã ©£û£î5Į́674d+Úy5¸tûž<C3BB>GxcÙajÔïä'wà…X4Ål£¡TŠw
=<3D>“ë,‹Ž½+#±Ý°VWî»?‰5€\ÓEmukS> øÑkÇ2žÝrcŽÂ¶8ZÏ°mZ(¹n!³ÖñN•]DéÙF†þ““ð̫зÃø:©ü…AwìôÄ {¥Q0^˜3Éid—؉Ù%|Êék£ý œ:D¸#}‡†vQ¡i•œ<IK Ú&‡‡JÅ÷iÙbl³“!„^Ï“;K¸§v±#æ‰]eæä5¯rϾ¡yþpr~¡0Vdí¯{ís<C3AD>”fÀ“¸¿NÖ¨°_ÂcïeÙ'5²R“¾.ð&ï3á5È_¿<5F>¨žÃjDƒ`o3yYߢ?‰zQå

Binary file not shown.

Binary file not shown.

Binary file not shown.

Binary file not shown.

Binary file not shown.

Binary file not shown.

Binary file not shown.

View File

@ -0,0 +1,2 @@
x•ÎA
Â0@Q׸.H&MÒ ˆ¸ñ ÓdR¶)1"Þ^ô.ÿâÁ<C3A2>eYæiתdÖyÏ.° "Þ{Ç(6<>D£ÍBŽq ½Ú¸ÊÚÀQHšrìµ8°vÌž|Öìf“8§!E¤ øÙ®¥§:ñÊÔMs;ë}åè,Yc†¾‡N£Ö*þÆšüAÔe<C394>% TÙø|¿Ã«ÔìÕ7ìCz

Binary file not shown.

View File

@ -0,0 +1,5 @@
x­TÍn1朧åÒ<C3A5> ›„U¤-RȨÔTÀ^º=8ÞÉÆȱ#ÿ¤
¨ïÃ;pàÀñ
Œ“ìæõ€º‡d=kóùof(õ<>£g~þjµšOúÔZ-8eÞéf<C3A9>
s˜¿ ±ð\<5C>®s„{f¡úÃ90pZ˸ÜùÙ+'&7h¬Ðª{·ãÃöaçu|ô²ÝnÓ¶rgÌT<C38C>Žƒ ð#!&lœy ×Æ w0Ä1 m€©î…”©­1*ÁÜ—üÈ`EpAë´µ«'U®Y«)6A;eá£Ñ_Ñ]<5D>±'µBø^ ú­n ª!“Ýn:·'ñJ¯¸¯'SÀ¤hf£­ïËbôœ3bèF<>»Þ.TŸê“èIu2®Ž†/ëãõ<C3A3>àF[=rñ<72>°žÉÔù\èø<N§èœP…MЊœPRŠJ|G4WÈÚÔ_@½ó*>¦*·ë+^B94ŠI°È$æ0eÆ Zrɬ…½]ØÑ¢¯ÕHž¬GΉ{Ó©|ñ^žyËÈKE+UÃËÔˆù¬£í|#EŽ#楻PôEQqÎ ŠJ°N#úŸüq:W|l´ß0<C39F>Þ¯ÓE zNµÙ¦ç‡t“}vÉÝÆ<C39D>±ÝN$D :oì\h<>,ìy¨R¯ßªÐ¾[6ÅþbÉz\O1_ɳ¶Ëªª!Á.F"X¡¨·qC_´
`Û–{c»è+IV$n˜ôÆM˜c<CB9C>jo8žE—š3™¼mdÙ M?]®–'Dœñq2 6 ]yô»Y8Ù,ûà <0B>áŸFÂ9×4sêð¼R)ܲNcN2˜Ñ¤A.ÅïfY/7Üô® é çÐÜiö,Ûnþ<6E>u¼—d<64>²ƒ“ ê•b1kÉFÜáædÒkã±ì¦ÀhZÈPåcmÇ#<23>º&Š,ÍU4¢0ioëK„úݦ[CžµmÂÊþÓˆÛDvŠô¸jµ¿ÚË

Binary file not shown.

View File

@ -0,0 +1 @@
x¥Νn1Η9οSΜ<53>TB7Z<37>ς<05>T4+Η;έLλµ·ώΘ¶ <P<><50>‡>―€½ Ν†UυΙ<CF85><CE99><EFBFBD>όf< ©πβΥΛηO~ύψι-© f·Φa~<7E>4_l¤¥DαH+Λή£BCΆqJκΊe<CE8A>γ<EFBFBD>kyΚ°9·W¶εύJ*Υe‡50(g΄μr<CEBC>ΉγΧcc-|<7C>Κu¥NUαΫ¤[φ<53>­|l<>σ,tΤQ{¶δΒ‰β9Ϊ „OF_Ά/q µBφ…°LΎ'NΏί‡λσ<CEBB>Ϋ·µεTgtν<11>§¤ΪxGbΆ„Ny†μ†η²Ξ9ιοΙ~!I@Α<>#.AHnm3^Γ¦αJ`<13>¶y<C2B6>2½£*$:waρ5Uµι<1B>t^„Ζ”λΧΑλϊVZq‡°<E280A1>ΒΠ©Ο<C2A9>\hλ|―zzq ,<2C>Ν38Σήa:Yµ<>Ι,`Wω<57><49>EXΟνHΰ \piqGAGR[άGλ`σΞiu~†·<>ΝFW Tί„P&…e<E280A6>}Γά¤‰<C2A4>%-u9γΤΥ|λέu<75>ΤΙκώNa\υΗπΖiW"‡Μ-ΧCά±—xΐκϋ» ΔΙΰcΠ‡<CEA0>ό<EFBFBD>Ξ!ύ΅χίΨ΄±N~΅U<CE85>±

View File

@ -0,0 +1,3 @@
x­S]Oƒ0õ™_q}  ¡sM,mÑìiÙ\M0ÈX¢ÿÞ[(£fs‰}éÇý<çÜ®ór žw{ s$Lÿ­Ü5²ËZV+ Æ4lO<6C> $©˜§Âí^ólÛÌóU£,ú©ùª$Ã0õdùÜn"<22>.£ƒùúHÏ}È•ðäG)áŽ*¹wQDZoi4F#‰ ²ØzL¬€få&{Í~Gt”IÛ˜b(‡8<E280A1>"HØÐÌ<C390>BÀ|Š€YÂndÑ`áòVË<56>]¶…KÛõî\IÄ @:÷=ÕÐ-Ñ``t@‡ÁFkè©ÁÚÝzžÝT£­K«ã~¸ÌåK“•EarTlä'
‚©ÏÁµr*”edÚWÀID×0aÉLBvBÂàaa¢ÑÐéA¢Ä_õ¾:ÑÉÂç£_Òðpìèú+hùÏ5ÒíjyÔüïÏ6“G ëDUƒÐªª÷cCÏwUUg廉Ã?þG@!
<EFBFBD>#lÊ~²Ùo<C399>ÛYC

Binary file not shown.

Binary file not shown.

Binary file not shown.

Binary file not shown.

View File

@ -0,0 +1,2 @@
x∙нмjB1@aвy┼ИZпL2so╔■>┌tИ&?╫X█дз>}╘oЮР,>8╔÷о▀┌Ср!╠0%°╓%┤s uF▓ГлXcУхO▌╡╧╕!╝h▀4 &fl╜┘9{²▀|CГ▒cиdр]▐}@╙c│в!┤УВЪЗыdyd
Дg╢k▀ж РSy┌≤]в╓÷Р╜_╫°`Ш╡┤²э√_│KW╦щ╞}╗TС-H▄

Binary file not shown.

View File

@ -0,0 +1,3 @@
xíVÍŽÓHæ:yŠb8àH $``3ZE <20>h9v1iä´½ÝmH„æ}à9æŨênwœlÂ2?{Ú½XjWÕW?ýUUÏŠr?zpçžÂsQJx‡Z—µÊP.Íå%°V¨;µòÆ+mpñtã'eQ`fÈZÇ¢D%²-<2D> Amý¤&Ýñ+ÿU$…@¹KŸ…“U…º1©ò3šÉûE)1NŠTkÞC™»|:™.PWi†°¥ÝÏ(ÉηÁ3]/©Z=wǤ¬³9B~?ͲËïÒz y)ååªKıƒ5×pš®Pu=ÈÑ¥ªg…È ã<> ?<3F>L«"5ðúƒ“TcÈ/45O¨rFÕ™¡Rkúïm«ˆ„\|<7C>ÌS!´%.©ÚäžÀŒð¢]²opÁNÖµÈBè.kƒªMe¹èÁleð㌦bqÞÒ{ÃÁÔPÑG?{äÀ!Qˆ*)©d2ÇèÐc¹$»OY…}Øs£<1D>REWB®uÜÏóè<C3B3>ð¹6‡= ëÌøã¡4e ”£V[/ iü¦6UímħÈfÇÇ ë¢èÂß„™¿Oš2øÃZP TÝ/¨L<8yͦ6t,4^Ãbù*p,TË+ÆB7ŽÅaXï!–Ö]^)¢–Ý ãÚDj<44>\Œá¦,ËíP‰ßT(£-ñË%fDß×¥|[£Zy±ã1<>IF]qJìñdQtÉäÍ2­»Öò•%Ù9¹BS+É$fp/ùÆdj¿*sñIPÿðÁ÷Àwê<77>š©A¾N7µÝdÛkÂsYý߶ÛÿƒÝ±«·~ï§Bg‰ßaÏ<61>»ªYCšÿË}kaŒþ]@o 6‡HÂ$·»`ƒ½ L³Æ9ØÜ ­~mÍÞ´˜ßaš£\Ñæ ~ü¸p2ßÞ[Y¹Ù!ñ+å×N×k<6B>!ÊUÌ Q—sv»šÊ€YTä”!š_Þ˜%±ïGÒX¨\} Sé,ž”c»é Ý&L­Ê
n5<EFBFBD>ÁÝcp[)¶K«kQ­<51>0Ûšû<C5A1>˜õ{<7B>HH@/eF£MžÇýq2҃ΜЛ@{| °Ÿ2l^
û¼´Tvbmþ7<‡íƒ<C3AD>jIå988¸à]Hà0Ã<>·8Ò·g:#„™Þܘe÷t8hÏõßç7úçOäO wëÁ²•Â h[¼ùõÏÔæšß>oõVxë€þmÞú"4ܼ"oo•¥üØ×U¥Äbóé±—¢<E28094>òÆüeÊŠ2ùåÛ|c_¬ÎI`ôŽWÛuzö¢sÑù ÞLÊÒ

Binary file not shown.

View File

@ -0,0 +1,4 @@
x­TKoÓ@æœ_1ÊGP'á)Ò)<29>ËCj+À¥ÜÃf=qmvÍ>
êáHùAüfÛyõ€º{wfçõÍ7;z ýçÏÝûóëw·»s§«ÕíÂóNï¨Ð0‡ùË k„ÀuŽÀ`qåWP,®ÔâÊЮd¼í<><C3AD>q}ý <0C>ZAîÁxåÄ að$îÅ<C3AE>{<7B>û/â'<27>]­o¡…™ÎÅDpæÈÌ+Km()?€#<23>j*Ð@‰~ŽÊAiô\ñ$¡Ø\ÏÂuœ<05>P\ƒÜ:°ht¸<74>&÷äËŠ:¤¬êA뀪hʹ®`¯{…;Ez§ÕRl†¶dTÚ;£?£;<3B>âPj…ð½ð^}>Ôs&ƒôÂR‰ñ‡%žñˆŠMŠf.8ÚFðºnÞÐ9#ÆÞaÔ9¿ö·íjDMô¬±ŒÓ Y™·<E284A2>7Úê‰Ï„õL¦ÎçBLJ¹pÚØ8Eç„*lVÄœF<C593>Tâ+J³ò¬Mû!´ûOã§D†^»ÊK(‡F1Iíbó@)'èÈ%³jï}À#­&¢ðDUbM<,KY1¨¶9`¶F´A5lJ#æÄo°ŽLùZˆ'ÌK÷VFQsö!ŠjgýNô?ñãôBñ)ñP|Ã<Røu.êÐÚ½îÍfz~L•ÜÌ.YfWq$˜„UÑ—¬Yž—_ƒÎšÀÍVÁ­Ë&ôj׈n²eì<>4Z)×<+ºT] ¶}$J[ÂÜÆ Ž}Q 9Ñ*8Û¤Ü->6^AR%qƤ_'nƒT{Ãq?:ÒœÉä “eÇiúþ¨:îRâŒO“q i˜Êýìþh<C3BE>e!'eo|A/ýéI@8äš^Ž6<hP
U¶éa” æBöGbñ³À,æF ³á $ÃããCØÙö,Ûþµs|#È,Ÿd÷wßÒ¬×o3ш{#ÜôÔx¬§)dTÖ24<32>`ù”@ÛâÈ­¬‰"Ko‡*:
û©½ôÐ>_gkˆ³¢M8Ù%;<4D>ˆ­ËÖ_f¾

Binary file not shown.

Binary file not shown.

Binary file not shown.

Binary file not shown.

View File

@ -0,0 +1,2 @@
x¥TÍnÓ@æì§ù“VkAÅÚ"Ò´EZšRUk{l»Þuw×M Í“qàxf<>Ÿ:¦AHøä<C3B8>Ÿo¾ùvv©xñêõγ_?~V¨1 ï­Ã|7¨ŸXWK‰©ZYö6"úBÝ4Lçx皦‰AžQvÎíµmx? •éé+qPÎh¹É}È<1A>ê´ÌQ¹M©=U”M¦ .l€™Ø„[ùX/çcêhCíá„Ø,Ü;Ù Dj´Õ#ǨâÎK²+ž£-xŠpjôºó v¤V|€¾8ŽaÏyÎÍýÛ•¥¯Çâ¦DÈž åÐðꮠХ<C390>c©Tgx*¹cw<—«¬½x ¨()R(¸qKH%·v=ÞÀ\˜
bNÈ“Zd®•ŠZU<EFBFBD>w?úSO <09>/¾aWçu¦\ÔÚ]û™þ¾i`NáBàt@MHv1¸ô<C2B8>ÔSfÁ*»0â;„[-28pêc) r٥ή#<23>ƒE•¡Ù†3]:ÌŽn‰AÇŒ-à&Ê]©-þKÅÄ©“Õ±<C395>øŸ%—0‡$•ƒ^ .ŽsQÖcêü¼ˆë)Œ8$gè'aD-DmVÐð¶ÙU<C399>ãÖCýôÐò1ªí<C2AA>ípýžÄ¢F™áDOç$£ìïƒ3eMVÏk}¼Å:ãW<C3A3>M?ql€.=ô<||ýswî(Næ÷ ¥þ%6Ž½sèh å0²Ñšo<Ö;ñ-¼Ñ»0ÜZ"m…ávë<07>yÑçÇNš¢µìŒVZc~=Á8>Š©w“ÞOrÝ<1A>쓙ɽÃ/_Á -¥ï)1U•2Û(¢'ÞYÖG5vÊÿC“ê={6¤ @dYÙ弨œgòÉß'l­4£ß0l5(ÍVøµwVÙfÁ,ø 'çC

Binary file not shown.

View File

@ -0,0 +1,7 @@
xµTÁn1íyżb¤\<5C>AsliEU˝EőRU+X¦ŕj×l/*Bů ľ#?Öϲk[9áĎ{óŢŚwYÖK¸ýôńöĂ•ÁµŞ5|GkëĆh˙ş×ŁQŘ´Yc•^ĂloVăč4śÔe‰…Łj;üŠŤ*sgW¨WÂezQˇÝ.
„gS˙A7ßŕcYkNĘ…µÄwČ`4ÁŰTŐÂěďĺ(YX!¬^Źż•VĚJG «Zë×#J٨ŻŰ6ËRP00LňyŽ;Ô.b€“ęi[ VK °5j·pJ;ČżMĄj$¦”ť«
 ĘWtx;IFY¤*uű->Q;XQKa˝u†ýfd´…Q[^č JP<>>üüĹĄĎ<ŮűŢ+žĐ´śi
GăőrĹĄÎźÁ5Uŕ…§©^ąĎo
±\ŠůSoµEŇë,<2C>Ž'^F^@á®ý“ł@ţĎśőě>śrS> uő˝ËŇźĺ
rcá[ôD.?ߦ/%×}ÉEëxĘŻ ‰ŚlŁJC˙ÉIř nŁě _k ŃźtĂînř+íŚŮś„‰I˘]b'..ácAßo`čŐxľkt´]ctđ=0Xźěž(‘ďe<>cź †<>z}\,ţč!N9‡—ů·Ź¤ŰmfËĺÄ
üďŕ…ÜÝź>Â2ś×łMmWĚüł\Kó-fÔ8oÄťsRJ<52>¦9xŢu}ńŤ^ĆO7#&Jł)cgBjT°[4cžtkPżscŻć,S<>ʼn,˙d{Tj#=^x E ň×5hŚŽ!LÖ Ž6źĂKöi[oS

Binary file not shown.

Binary file not shown.

Binary file not shown.

Binary file not shown.

Binary file not shown.

Binary file not shown.

Binary file not shown.

Binary file not shown.

Binary file not shown.

Binary file not shown.

View File

@ -0,0 +1,5 @@
x¥Νj1…»ΞS\pc΅h»ιΆ<CEB9> SΑ™I†ά„*βυ9ϊb½qόm»°έΝ<CEAD>δ|η<>“Yfgπp<CF80>xSs8ΧΦΐ+ΩΰΰΚ~8<>Α!‰@ΪΜaΌ&<26>yλlj$6ΛPyVS£<53><06>V7&<26>9»D?Y`7³I&‰<>~9ν*^¤%jh<6A>r?!<21>Μ
©.H}¤ΈƒΨh6Π¦<CEA0>η<EFBFBD>­<>Ψ ΪxtωηG<CEB7>¥v)ΒΌ”A½#rzΚ5ΊΫ=¥yΒai*n ύιΧ<05>2ιαΗ<E280B0>$ΐζp¨2α ΚsƒΔ<C692>χϊ<CF87>²Ξ6ΐςΨώr“Qρ(YH^“ΩW·
ψι¬V
ΑU@wiRίΓ'£©±yDnΐ΅Ξ€ΑwθV²Φ/ύΖ<>&<26>/6Υo<CEA5>Mβ0x>¶v<07>q=RΟ<52>?ν0ΤδΫI%B†όφ‡Μ“βκΚΘ;})<[uΩ™LΟ—±<E28094>`)•<>·g<C2B7>±Υq(
§σο_ivβ|³Ϋ<C2B3>­ψKΙ

Binary file not shown.

Binary file not shown.

View File

@ -0,0 +1,5 @@
x­RÛjÛ@ìó~Å<>¼(lJèKŽ ÆàIL_Åzujo<6A>vÅ^¨<>Éå;òc=«•dEN(.Õ“v¥™3gf6…ÞÀ×Ûo·_® n¥VðˆÖjoZÀ½{{5½A˼•j Oë°œ¼;<3B>R](¡íhŽ
<EFBFBD>ƒ?ÖDÕ^­Œ~F·Þá´Ð
GiÁ­EûÉש !v…*<2A>úS¼D[q<>0`š£ ØÁx<†;ëË’›Ã}<¦Ú‹TMùöšK. BŽ°<C5BD>0HŠ´=,ùÍuÃ2>ÑT~SH"(†y¶Î
iݪà¾Óñ<C393>[d@áµ2%Cœñƒî|™Ð ø†Àõû^>ù“¨B6Ýq
÷´nŸà£o°g`§ƒ¬€é³ödH2ãײDX®²ð¶º fÁbUtcŽ`Ðy£@áo˜ööO†šF-ï;ºjÒß1Ìø¡sùKŒf`ëë üo]Ý$Òršòw•KJú.í­|KêOÒ„²P9î/´¨ÆG B•íÓGöáö<C3A1>Xq[N¥érì´…œ]2§0ž DXëð õ…J×OSø³Å²Ålõ?˜Xz1^ŸÕêÉW•¡Rw½Š­>÷æWNœ4:òu1êõ û»øÐÉ

Binary file not shown.

View File

@ -0,0 +1,3 @@
xuRMO1õ¼¿bnBbÊÁƒQЄ€HTIwwÝvé~™Áv!··Î¼7ï½Nc¡b¸¹½¾øùúv†ä†[c1kF§7ÖQB`bIIÞQ¢¦¤„è“\J#ÜØri¦§^†<>¸Y˜<52>dªÖUïAZ­DU»Ë-ÿëªÄe(mµ'sWvzð˜RÕÜ¢ÇzŸúDÚÃÏÑ Gghrž ¼h5G;ša[(‰lL¸Ž>#ð§Ñh@˸,ãzûp¬ôÕ”!½$iQób<0F>+§á‰’.ZNâqåó± ÏÄÖjœMÊ],(<28>œkK\@"¸1%>ÜÁ>v1co)Ø:PÏÅjõúÈpëI
ô<EFBFBD>•å>¡´µzó<0E>°«°NÿAà$®!<Â@¥(Øx0)ÂœrvÑžkZq°R”Blå«#ëeÒñá5Ïý7ƒ2E}oÊYLqm=5€Už;B<W >wÑ.úW

Binary file not shown.

Binary file not shown.

Binary file not shown.

Binary file not shown.

View File

@ -0,0 +1,2 @@
x­TKnÛ0íÚ§h%£µlÇ)8q<38>Äê'@ÒŸÒl¢,hj,³ I<C2A0>¤¸EîÓ;tÑEÔ+th[ò¯È¢ˆ9œyó8ó†#©GÐ=ê<ûóóW»ÝzÒ¯ÑnÃ)+<2B>nå¨Ð0‡Ù+oóßõDXà:C¸gêsÍ<><C38D>ÓZF•ççR91E¸Ac…Výèõ:½îqtxÐétÈ­òN˜ÊÑR88?aÊæÀYi„âÚäF8a3¡ 0•Á½<C381>, µu Ƙ›à’¬ .h<>¶÷oõ¤•k5ŠMÑŒ#|4ú+ºë žI­0j59|oø2®·9µÉ~?™[‡ÓhU6rŸT“ ™ Ž¶6¼­zr朣Òaؼ[àíB ©M±žÖQêOÖáÁ•àF[=vÑ<76>°%“‰+3¡£×™pÚØ(Aç„ÊmŒVä$ˆÚ<CB86><C39A>¢¹BÖ&xA÷etDÍî+^B94ŠI°È$fP0ãm¹dÖB…Þ…>ìÔbY²HŠÎŠB
¾XW1çŒô±¬h]U¿(Œ˜lÁ:rç)2³Rº E'Šz4€0¬ÀºÍðòGÉ\ñ‰ÑJ|Ã,Tx¿N6é;Yôf^9¢ì³—ì6näÃrt;o5èJ£`çBëdÞç¡N½^Õ¦}µx}VÅþbIz\˜­Ê³–˪«>Á.F,X®h·QŒ£2ÏѼ×ʃmKîŒí¦¯J²"qÃd¹)ܘ9‰. ÇAx©9“ñy3M¯äÓåj{BÄŸÄ#/S?œƒ4öÓÔs²iÊ2#0M?(ŒI3-xÇx^WÉß2 ƒ×\Ó«Dïžd0£§g±¾¿äÞUh<55>¦ÛCOpC]„ð˜hmŸíeÙpˆ¦Ù8 N.hpòÅûKšâ¥n>¸6%VƒåÉ•– #X>¡úíÈåQ…¡¥gDåÍп½·Á!¸Û®Ï³V<C2B3>ßÙjr<1B>†kæûõ¸&<0F>¿§x ­

View File

@ -0,0 +1,3 @@
x<01>SÁjã0ݳ¿b —., ¥‡ÍvKÀÒÛÒæVc+SWŃFJ>(ß‘ëHŠcY‰·Ð“­Í÷ÞŒò²ÎáûåÕÕ—ÆBÖ
<1E>¨n´@ügö;-±ÑHICRð¸!ƒÕ´wÏê²Da¸šÆ¿Q¡"º±`¨i2Bµô]DeÒ*týŠfñ·e­p<+3"î÷Àd2<64>ŸÔTU¦7¿üÑga‰°Ü¶+ µRûú²IW·jòR
fé"Í™ã³2“àFЊŸ@ Â*·ªVZ®3ƒ •<>ô~Þ+žy2Ú”Þ¥ªfƒºÂ.±Òå挼<C592>ÞغL)¹FMV<08>o Þ<ýµWdUØL`dÇ}ÆöÝÃórĽìXðÅW­e8pãÀØ)I¿Áñèùs¤£ÝgÍ©¬ãšº^Ü \ûoj5ð¯ÇsÑô!:áÒa ­f/\Ž¿.ô?EvxÑìBa<•ðø9<C3B8>ðֶ̤V#Ÿ¸¹QcYQä(ðìäo¿Vê<56>ýŒb;wk|<7C>@£i´:]i·@îN¼ïLl<4C>• NÝ¥Àð㊰“çÛøgÑowâH?<3F>!TŸõ„ZÖ­óƒt‡öw¨I¸~q«07Ø°÷*†ºØÇäw<2(Ü<>m²MÞQBìÄ

Binary file not shown.

Some files were not shown because too many files have changed in this diff Show More